{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_abra"
            ],
            "label": "cmo-abra",
            "arguments": [
                {
                    "valueFrom": "2.17",
                    "prefix": "--version",
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": "$(inputs.runparams.abra_ram_min)",
                    "coresMin": 16,
                    "class": "ResourceRequirement"
                }
            ],
            "doc": "None\n",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Set mapq for alignments that map equally well to reference and an ABRA generated contig. default of -1 disables (default - -1)",
                    "inputBinding": {
                        "prefix": "--amq"
                    },
                    "id": "#cmo-abra.cwl/amq"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "bwa ref",
                    "inputBinding": {
                        "prefix": "--bwa-ref"
                    },
                    "id": "#cmo-abra.cwl/bwa_ref"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Contig anchor [M_bases_at_contig_edge, max_mismatches_near_edge] (default - 10,2)",
                    "inputBinding": {
                        "prefix": "--ca"
                    },
                    "id": "#cmo-abra.cwl/ca"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Compression level of output bam file (s) (default - 5)",
                    "inputBinding": {
                        "prefix": "--cl"
                    },
                    "id": "#cmo-abra.cwl/cl"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Use positional consensus sequence when aligning high quality soft clipping",
                    "inputBinding": {
                        "prefix": "--cons"
                    },
                    "id": "#cmo-abra.cwl/cons"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Optional file to which assembled contigs are written",
                    "inputBinding": {
                        "prefix": "--contigs"
                    },
                    "id": "#cmo-abra.cwl/contigs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Max read move distance (default - 1000)",
                    "inputBinding": {
                        "prefix": "--dist"
                    },
                    "id": "#cmo-abra.cwl/dist"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "If specified, use GKL Intel Deflater (experimental)",
                    "inputBinding": {
                        "prefix": "--gkl"
                    },
                    "id": "#cmo-abra.cwl/gkl"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "GTF file defining exons and transcripts",
                    "inputBinding": {
                        "prefix": "--gtf"
                    },
                    "id": "#cmo-abra.cwl/gtf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "doc": "Required list of input sam or bam file (s) separated by comma",
                    "inputBinding": {
                        "itemSeparator": ",",
                        "prefix": "--in"
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#cmo-abra.cwl/in"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "VCF containing known (or suspected) variant sites. Very large files should be avoided.",
                    "inputBinding": {
                        "prefix": "--in-vcf"
                    },
                    "id": "#cmo-abra.cwl/in_vcf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Enable BAM index generation when outputting sorted alignments (may require additonal memory)",
                    "inputBinding": {
                        "prefix": "--index"
                    },
                    "id": "#cmo-abra.cwl/index"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Splice junctions definition file",
                    "inputBinding": {
                        "prefix": "--junctions"
                    },
                    "id": "#cmo-abra.cwl/junctions"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Do not delete the temporary directory",
                    "inputBinding": {
                        "prefix": "--keep-tmp"
                    },
                    "id": "#cmo-abra.cwl/keep_tmp"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Optional assembly kmer size(delimit with commas if multiple sizes specified)",
                    "inputBinding": {
                        "prefix": "--kmer"
                    },
                    "id": "#cmo-abra.cwl/kmer"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Logging level (trace,debug,info,warn, error) (default - info)",
                    "inputBinding": {
                        "prefix": "--log"
                    },
                    "id": "#cmo-abra.cwl/log"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Max assembled contigs (default - 64)",
                    "inputBinding": {
                        "prefix": "--mac"
                    },
                    "id": "#cmo-abra.cwl/mac"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Regions with average depth exceeding this value will be downsampled (default - 1000)",
                    "inputBinding": {
                        "prefix": "--mad"
                    },
                    "id": "#cmo-abra.cwl/mad"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Minimum mapping quality for a read to be used in assembly and be eligible for realignment (default - 20)",
                    "inputBinding": {
                        "prefix": "--mapq"
                    },
                    "id": "#cmo-abra.cwl/mapq"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Maximum pre-pruned nodes in regional assembly (default - 150000)",
                    "inputBinding": {
                        "prefix": "--maxn"
                    },
                    "id": "#cmo-abra.cwl/maxn"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Minimum base quality for inclusion in assembly. This value is compared against the sum of base qualities per kmer position (default - 20)",
                    "inputBinding": {
                        "prefix": "--mbq"
                    },
                    "id": "#cmo-abra.cwl/mbq"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Assembly minimum contig length (default - -1)",
                    "inputBinding": {
                        "prefix": "--mcl"
                    },
                    "id": "#cmo-abra.cwl/mcl"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Max number of cached reads per sample per thread (default - 1000000)",
                    "inputBinding": {
                        "prefix": "--mcr"
                    },
                    "id": "#cmo-abra.cwl/mcr"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Min edge pruning ratio. Default value is appropriate for relatively sensitive somatic cases. May be increased for improved speed in germline only cases. (default - 0.01)",
                    "inputBinding": {
                        "prefix": "--mer"
                    },
                    "id": "#cmo-abra.cwl/mer"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Max allowed mismatch rate when mapping reads back to contigs (default - 0.05)",
                    "inputBinding": {
                        "prefix": "--mmr"
                    },
                    "id": "#cmo-abra.cwl/mmr"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Assembly minimum node frequency (default - 1)",
                    "inputBinding": {
                        "prefix": "--mnf"
                    },
                    "id": "#cmo-abra.cwl/mnf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Reads with noise score exceeding this value are not remapped. numMismatches+(numIndels*2) < readLength*mnr (default - 0.1)",
                    "inputBinding": {
                        "prefix": "--mrn"
                    },
                    "id": "#cmo-abra.cwl/mrn"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Regions containing more reads than this value are not processed. Use -1 to disable. (default - 1000000)",
                    "inputBinding": {
                        "prefix": "--mrr"
                    },
                    "id": "#cmo-abra.cwl/mrr"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Max reads to keep in memory per sample during the sort phase. When this value is exceeded, sort spills to disk (default - 1000000)",
                    "inputBinding": {
                        "prefix": "--msr"
                    },
                    "id": "#cmo-abra.cwl/msr"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Do not attempt to sort final output",
                    "inputBinding": {
                        "prefix": "--nosort"
                    },
                    "id": "#cmo-abra.cwl/nosort"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "doc": "Required list of output sam or bam file (s) separated by comma",
                    "inputBinding": {
                        "itemSeparator": ",",
                        "prefix": "--out"
                    },
                    "id": "#cmo-abra.cwl/out"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Minimum read candidate fraction for triggering assembly (default - 0.01)",
                    "inputBinding": {
                        "prefix": "--rcf"
                    },
                    "id": "#cmo-abra.cwl/rcf"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--reference_sequence"
                    },
                    "id": "#cmo-abra.cwl/ref"
                },
                {
                    "type": {
                        "type": "record",
                        "fields": [
                            {
                                "type": "int",
                                "name": "#cmo-abra.cwl/runparams/abra_ram_min"
                            }
                        ]
                    },
                    "id": "#cmo-abra.cwl/runparams"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Skip assembly",
                    "inputBinding": {
                        "prefix": "--sa"
                    },
                    "id": "#cmo-abra.cwl/sa"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Soft clip contig args [max_contigs, min_base_qual,frac_high_qual_bases, min_soft_clip_len] (default - 16,13,80,15)",
                    "inputBinding": {
                        "prefix": "--sc"
                    },
                    "id": "#cmo-abra.cwl/sc"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Scoring used for contig alignments (match, mismatch_penalty, gap_open_penalty, gap_extend_penalty) (default - 8,32,48,1)",
                    "inputBinding": {
                        "prefix": "--sga"
                    },
                    "id": "#cmo-abra.cwl/sga"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Input is single end",
                    "inputBinding": {
                        "prefix": "--single"
                    },
                    "id": "#cmo-abra.cwl/single"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "If no target specified, skip realignment of chromosomes matching specified regex. Skipped reads are output without modification. Specify none to disable. (default - GL.*|hs37d5|chr.*random|chrUn. *|chrEBV|CMV|HBV|HCV.*|HIV. *|KSHV|HTLV.*|MCV|SV40|HPV.*)",
                    "inputBinding": {
                        "prefix": "--skip"
                    },
                    "id": "#cmo-abra.cwl/skip"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Do not use observed indels in original alignments to generate contigs",
                    "inputBinding": {
                        "prefix": "--sobs"
                    },
                    "id": "#cmo-abra.cwl/sobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Skip usage of soft clipped sequences as putative contigs",
                    "inputBinding": {
                        "prefix": "--ssc"
                    },
                    "id": "#cmo-abra.cwl/ssc"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Do not use unmapped reads anchored by mate to trigger assembly. These reads are still eligible to contribute to assembly",
                    "inputBinding": {
                        "prefix": "--sua"
                    },
                    "id": "#cmo-abra.cwl/sua"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "BED-like file containing target regions with per region kmer sizes in 4th column",
                    "inputBinding": {
                        "prefix": "--target-kmers"
                    },
                    "id": "#cmo-abra.cwl/target_kmers"
                },
                {
                    "type": [
                        "null",
                        "File",
                        "string"
                    ],
                    "doc": "BED file containing target regions",
                    "inputBinding": {
                        "prefix": "--targets"
                    },
                    "id": "#cmo-abra.cwl/targets"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Number of threads (default - 16)",
                    "inputBinding": {
                        "prefix": "--threads"
                    },
                    "default": "16",
                    "id": "#cmo-abra.cwl/threads"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Set the temp directory (overrides java. io.tmpdir)",
                    "inputBinding": {
                        "prefix": "--tmpdir"
                    },
                    "id": "#cmo-abra.cwl/tmpdir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Unset duplicate flag",
                    "inputBinding": {
                        "prefix": "--undup"
                    },
                    "id": "#cmo-abra.cwl/undup"
                },
                {
                    "doc": "Working directory for intermediate output. Must not already exist",
                    "inputBinding": {
                        "prefix": "--working"
                    },
                    "type": "string",
                    "id": "#cmo-abra.cwl/working"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Processing window size and overlap (size,overlap) (default - 400,200)",
                    "inputBinding": {
                        "prefix": "--ws"
                    },
                    "id": "#cmo-abra.cwl/ws"
                }
            ],
            "id": "#cmo-abra.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-abra",
                    "http://usefulinc.com/ns/doap#revision": 2.17
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Nikhil Kumar",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:kumarn1@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "*.abra.bam"
                    },
                    "id": "#cmo-abra.cwl/outbams"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_bwa_mem"
            ],
            "label": "cmo-bwa-mem",
            "arguments": [
                {
                    "valueFrom": "0.7.5a",
                    "prefix": "--version",
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 24000,
                    "coresMin": 4,
                    "class": "ResourceRequirement"
                }
            ],
            "doc": "run bwa mem\n",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT score for a sequence match [1]",
                    "inputBinding": {
                        "prefix": "-A"
                    },
                    "id": "#cmo-bwa-mem.cwl/A"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT penalty for a mismatch [4]",
                    "inputBinding": {
                        "prefix": "-B"
                    },
                    "id": "#cmo-bwa-mem.cwl/B"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "append FASTA/FASTQ comment to SAM output",
                    "inputBinding": {
                        "prefix": "-C"
                    },
                    "id": "#cmo-bwa-mem.cwl/C"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT gap extension penalty; a gap of size k cost {-O} + {-E}*k [1]",
                    "inputBinding": {
                        "prefix": "-E"
                    },
                    "id": "#cmo-bwa-mem.cwl/E"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT penalty for clipping [5]",
                    "inputBinding": {
                        "prefix": "-L"
                    },
                    "id": "#cmo-bwa-mem.cwl/L"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "doc": "mark shorter split hits as secondary (for Picard/GATK compatibility)",
                    "inputBinding": {
                        "prefix": "-M"
                    },
                    "id": "#cmo-bwa-mem.cwl/M"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT gap open penalty [6]",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#cmo-bwa-mem.cwl/O"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "skip pairing; mate rescue performed unless -S also in use",
                    "inputBinding": {
                        "prefix": "-P"
                    },
                    "id": "#cmo-bwa-mem.cwl/P"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "STR read group header line such as '@RG\\tID -foo\\tSM -bar' [null]",
                    "inputBinding": {
                        "prefix": "-R"
                    },
                    "id": "#cmo-bwa-mem.cwl/R"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "skip mate rescue",
                    "inputBinding": {
                        "prefix": "-S"
                    },
                    "id": "#cmo-bwa-mem.cwl/S"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT minimum score to output [30]",
                    "inputBinding": {
                        "prefix": "-T"
                    },
                    "id": "#cmo-bwa-mem.cwl/T"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT penalty for an unpaired read pair [17]",
                    "inputBinding": {
                        "prefix": "-U"
                    },
                    "id": "#cmo-bwa-mem.cwl/U"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "output all alignments for SE or unpaired PE",
                    "inputBinding": {
                        "prefix": "-a"
                    },
                    "id": "#cmo-bwa-mem.cwl/a"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT skip seeds with more than INT occurrences [10000]",
                    "inputBinding": {
                        "prefix": "-c"
                    },
                    "id": "#cmo-bwa-mem.cwl/c"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT off-diagonal X-dropoff [100]",
                    "inputBinding": {
                        "prefix": "-d"
                    },
                    "id": "#cmo-bwa-mem.cwl/d"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--fastq1"
                    },
                    "id": "#cmo-bwa-mem.cwl/fastq1"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--fastq2"
                    },
                    "id": "#cmo-bwa-mem.cwl/fastq2"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--genome"
                    },
                    "id": "#cmo-bwa-mem.cwl/genome"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT minimum seed length [19]",
                    "inputBinding": {
                        "prefix": "-k"
                    },
                    "id": "#cmo-bwa-mem.cwl/k"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--output"
                    },
                    "id": "#cmo-bwa-mem.cwl/output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "first query file consists of interleaved paired-end sequences",
                    "inputBinding": {
                        "prefix": "-p"
                    },
                    "id": "#cmo-bwa-mem.cwl/p"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "FLOAT look for internal seeds inside a seed longer than {-k} * FLOAT [1.5]",
                    "inputBinding": {
                        "prefix": "-r"
                    },
                    "id": "#cmo-bwa-mem.cwl/r"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Produce Sam instead of the default bam (Boolean)",
                    "inputBinding": {
                        "prefix": "--sam"
                    },
                    "id": "#cmo-bwa-mem.cwl/sam"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT number of threads [1]",
                    "inputBinding": {
                        "prefix": "-t"
                    },
                    "default": "6",
                    "id": "#cmo-bwa-mem.cwl/t"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT verbose level - 1=error, 2=warning, 3=message, 4+=debugging [3]",
                    "inputBinding": {
                        "prefix": "-v"
                    },
                    "id": "#cmo-bwa-mem.cwl/v"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "INT band width for banded alignment [100]",
                    "inputBinding": {
                        "prefix": "-w"
                    },
                    "id": "#cmo-bwa-mem.cwl/w"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.output)\n    return inputs.output;\n  return null;\n}"
                    },
                    "id": "#cmo-bwa-mem.cwl/bam"
                }
            ],
            "id": "#cmo-bwa-mem.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-bwa-mem",
                    "http://usefulinc.com/ns/doap#revision": "0.7.5a"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_gatk"
            ],
            "label": "cmo-gatk-BaseRecalibrator",
            "arguments": [
                {
                    "valueFrom": "BaseRecalibrator",
                    "prefix": "-T",
                    "position": 0
                },
                {
                    "valueFrom": "3.3-0",
                    "prefix": "--version",
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 24000,
                    "coresMin": 2,
                    "class": "ResourceRequirement"
                }
            ],
            "doc": "None\n",
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Input covariates table file for on-the-fly base quality score recalibration",
                    "inputBinding": {
                        "prefix": "--BQSR"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/BQSR"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Ignore warnings about base quality score encoding",
                    "inputBinding": {
                        "prefix": "--allow_potentially_misencoded_quality_scores"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/allow_potentially_misencoded_quality_scores"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Reads arguments from the specified file",
                    "inputBinding": {
                        "prefix": "--arg_file"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/arg_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Compression level to use for writing BAM files (0 - 9, higher is more compressed)",
                    "inputBinding": {
                        "prefix": "--bam_compression"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/bam_compression"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Type of BAQ calculation to apply in the engine (OFF| CALCULATE_AS_NECESSARY| RECALCULATE)",
                    "inputBinding": {
                        "prefix": "--baq"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/baq"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "BAQ gap open penalty",
                    "inputBinding": {
                        "prefix": "--baqGapOpenPenalty"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/baqGapOpenPenalty"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "the binary tag covariate name if using it",
                    "inputBinding": {
                        "prefix": "--binary_tag_name"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/binary_tag_name"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "BQSR BAQ gap open penalty (Phred Scaled). Default value is 40. 30 is perhaps better for whole genome call sets",
                    "inputBinding": {
                        "prefix": "--bqsrBAQGapOpenPenalty"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/bqsrBAQGapOpenPenalty"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "--covariate"
                        }
                    },
                    "doc": "One or more covariates to be used in the recalibration. Can be specified multiple times",
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/covariate"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Assign a default base quality",
                    "inputBinding": {
                        "prefix": "--defaultBaseQualities"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/defaultBaseQualities"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "default quality for the base deletions covariate",
                    "inputBinding": {
                        "prefix": "--deletions_default_quality"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/deletions_default_quality"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Turn off on-the-fly creation of",
                    "inputBinding": {
                        "prefix": "--disable_bam_indexing"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/disable_bam_indexing"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Disable printing of base insertion and deletion tags (with -BQSR)",
                    "inputBinding": {
                        "prefix": "--disable_indel_quals"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/disable_indel_quals"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Target coverage threshold for downsampling to coverage",
                    "inputBinding": {
                        "prefix": "--downsample_to_coverage"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/downsample_to_coverage"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Fraction of reads to downsample to",
                    "inputBinding": {
                        "prefix": "--downsample_to_fraction"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/downsample_to_fraction"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Type of read downsampling to employ at a given locus (NONE|ALL_READS|BY_SAMPLE)",
                    "inputBinding": {
                        "prefix": "--downsampling_type"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/downsampling_type"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Emit the OQ tag with the original base qualities (with -BQSR)",
                    "inputBinding": {
                        "prefix": "--emit_original_quals"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/emit_original_quals"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "One or more genomic intervals to exclude from processing",
                    "inputBinding": {
                        "prefix": "--excludeIntervals"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/excludeIntervals"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "if a read has no stored bases (i.e. a '*'), filter out the read instead of blowing up.",
                    "inputBinding": {
                        "prefix": "--filter_bases_not_stored"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/filter_bases_not_stored"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "if a read has mismatching number of bases and base qualities, filter out the read instead of blowing up.",
                    "inputBinding": {
                        "prefix": "--filter_mismatching_base_and_quals"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/filter_mismatching_base_and_quals"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "filter out reads with CIGAR containing the N operator, instead of stop processing and report an error.",
                    "inputBinding": {
                        "prefix": "--filter_reads_with_N_cigar"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/filter_reads_with_N_cigar"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Fix mis-encoded base quality scores",
                    "inputBinding": {
                        "prefix": "--fix_misencoded_quality_scores"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/fix_misencoded_quality_scores"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "GATK key file required to run with -et NO_ET",
                    "inputBinding": {
                        "prefix": "--gatk_key"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/gatk_key"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Enable on-the-fly creation of",
                    "inputBinding": {
                        "prefix": "--generate_md5"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/generate_md5"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Global Qscore Bayesian prior to use for BQSR",
                    "inputBinding": {
                        "prefix": "--globalQScorePrior"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/globalQScorePrior"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Size of the k-mer context to be used for base insertions and deletions",
                    "inputBinding": {
                        "prefix": "--indels_context_size"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/indels_context_size"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File",
                            "inputBinding": {
                                "prefix": "--input_file"
                            }
                        }
                    ],
                    "doc": "Input file containing sequence data (SAM or BAM)",
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/input_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "default quality for the base insertions covariate",
                    "inputBinding": {
                        "prefix": "--insertions_default_quality"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/insertions_default_quality"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Interval merging rule for abutting intervals (ALL| OVERLAPPING_ONLY)",
                    "inputBinding": {
                        "prefix": "--interval_merging"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/interval_merging"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Amount of padding (in bp) to add to each interval",
                    "inputBinding": {
                        "prefix": "--interval_padding"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/interval_padding"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Set merging approach to use for combining interval inputs (UNION|INTERSECTION)",
                    "inputBinding": {
                        "prefix": "--interval_set_rule"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/interval_set_rule"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "One or more genomic intervals over which to operate",
                    "inputBinding": {
                        "prefix": "--intervals"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/intervals"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "-Xmx48g -Xms256m -XX:-UseGCOverheadLimit",
                    "doc": "args to pass to java",
                    "inputBinding": {
                        "prefix": "--java_args"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/java_args"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "java.io.temp_dir, if you want to set it",
                    "inputBinding": {
                        "prefix": "--java-temp"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/java_temp"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Keep program records in the SAM header",
                    "inputBinding": {
                        "prefix": "--keep_program_records"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/keep_program_records"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File",
                        "inputBinding": {
                            "prefix": "--knownSites"
                        }
                    },
                    "doc": "A database of known polymorphic sites to skip over in the recalibration algorithm",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/knownSites"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "List the available covariates and exit",
                    "inputBinding": {
                        "prefix": "--list"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/list"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Set the logging location",
                    "inputBinding": {
                        "prefix": "--log_to_file"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/log_to_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Set the minimum level of logging",
                    "inputBinding": {
                        "prefix": "--logging_level"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/logging_level"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Reduce memory usage in multi-threaded code at the expense of threading efficiency",
                    "inputBinding": {
                        "prefix": "--lowMemoryMode"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/lowMemoryMode"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "minimum quality for the bases in the tail of the reads to be considered",
                    "inputBinding": {
                        "prefix": "--low_quality_tail"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/low_quality_tail"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Stop execution cleanly as soon as maxRuntime has been reached",
                    "inputBinding": {
                        "prefix": "--maxRuntime"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/maxRuntime"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Unit of time used by maxRuntime (NANOSECONDS|MICROSECONDS| MILLISECONDS|SECONDS|MINUTES| HOURS|DAYS)",
                    "inputBinding": {
                        "prefix": "--maxRuntimeUnits"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/maxRuntimeUnits"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "The maximum cycle value permitted for the Cycle covariate",
                    "inputBinding": {
                        "prefix": "--maximum_cycle_value"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/maximum_cycle_value"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Size of the k-mer context to be used for base mismatches",
                    "inputBinding": {
                        "prefix": "--mismatches_context_size"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/mismatches_context_size"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "default quality for the base mismatches covariate",
                    "inputBinding": {
                        "prefix": "--mismatches_default_quality"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/mismatches_default_quality"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Enable threading efficiency monitoring",
                    "inputBinding": {
                        "prefix": "--monitorThreadEfficiency"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/monitorThreadEfficiency"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Always output all the records in VCF FORMAT fields, even if some are missing",
                    "inputBinding": {
                        "prefix": "--never_trim_vcf_format_field"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/never_trim_vcf_format_field"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Do not use the standard set of covariates, but rather just the ones listed using the -cov argumentthout_dbsnp_potentially_ruining_quality,--run_without_dbsnp_potentially_ruining_quality If specified, allows the recalibrator to be used without a dbsnp rod. Very unsafe and for expert users only.",
                    "inputBinding": {
                        "prefix": "--no_standard_covs"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/no_standard_covs"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Use a non-deterministic random seed",
                    "inputBinding": {
                        "prefix": "--nonDeterministicRandomSeed"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/nonDeterministicRandomSeed"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Total number of BAM file handles to keep open simultaneously",
                    "inputBinding": {
                        "prefix": "--num_bam_file_handles"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/num_bam_file_handles"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "2",
                    "doc": "Number of CPU threads to allocate per data thread",
                    "inputBinding": {
                        "prefix": "--num_cpu_threads_per_data_thread"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/num_cpu_threads_per_data_thread"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Number of data threads to allocate to this analysis",
                    "inputBinding": {
                        "prefix": "--num_threads"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/num_threads"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "The output recalibration table file to create",
                    "inputBinding": {
                        "prefix": "--out"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/out"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Pedigree files for samples",
                    "inputBinding": {
                        "prefix": "--pedigree"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/pedigree"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Pedigree string for samples",
                    "inputBinding": {
                        "prefix": "--pedigreeString"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/pedigreeString"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Validation strictness for pedigree information (STRICT| SILENT)",
                    "inputBinding": {
                        "prefix": "--pedigreeValidationType"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/pedigreeValidationType"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Write GATK runtime performance log to this file",
                    "inputBinding": {
                        "prefix": "--performanceLog"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/performanceLog"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Run reporting mode (NO_ET|AWS|STDOUT)",
                    "inputBinding": {
                        "prefix": "--phone_home"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/phone_home"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Don't recalibrate bases with quality scores less than this threshold (with -BQSR)",
                    "inputBinding": {
                        "prefix": "--preserve_qscores_less_than"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/preserve_qscores_less_than"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "number of distinct quality scores in the quantized output",
                    "inputBinding": {
                        "prefix": "--quantizing_levels"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/quantizing_levels"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Number of reads per SAM file to buffer in memory",
                    "inputBinding": {
                        "prefix": "--read_buffer_size"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/read_buffer_size"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Filters to apply to reads before analysis",
                    "inputBinding": {
                        "prefix": "--read_filter"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/read_filter"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Exclude read groups based on tags",
                    "inputBinding": {
                        "prefix": "--read_group_black_list"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/read_group_black_list"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "refactor cigar string with NDN elements to one element",
                    "inputBinding": {
                        "prefix": "--refactor_NDN_cigar_string"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/refactor_NDN_cigar_string"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--reference_sequence"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/reference_sequence"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Remove program records from the SAM header",
                    "inputBinding": {
                        "prefix": "--remove_program_records"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/remove_program_records"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Rename sample IDs on-the-fly at runtime using the provided mapping file",
                    "inputBinding": {
                        "prefix": "--sample_rename_mapping_file"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/sample_rename_mapping_file"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "If provided, output BAM files will be simplified to include just key reads for downstream variation discovery analyses (removing duplicates, PF-, non-primary reads), as well stripping all extended tags from the kept reads except the read group identifier",
                    "inputBinding": {
                        "prefix": "--simplifyBAM"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/simplifyBAM"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Just output sites without genotypes (i.e. only the first 8 columns of the VCF)",
                    "inputBinding": {
                        "prefix": "--sites_only"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/sites_only"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Defines the behavior of the recalibrator when it encounters no calls in the color space. Options = THROW_EXCEPTION, LEAVE_READ_UNRECALIBRATED, or PURGE_READ (THROW_EXCEPTION| LEAVE_READ_UNRECALIBRATED| PURGE_READ)",
                    "inputBinding": {
                        "prefix": "--solid_nocall_strategy"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/solid_nocall_strategy"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "How should we recalibrate solid bases in which the reference was inserted? Options = DO_NOTHING, SET_Q_ZERO, SET_Q_ZERO_BASE_N, or REMOVE_REF_BIAS (DO_NOTHING| SET_Q_ZERO|SET_Q_ZERO_BASE_N| REMOVE_REF_BIAS)",
                    "inputBinding": {
                        "prefix": "--solid_recal_mode"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/solid_recal_mode"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Sort the rows in the tables of reports",
                    "inputBinding": {
                        "prefix": "--sort_by_all_columns"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/sort_by_all_columns"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stderr to file",
                    "inputBinding": {
                        "prefix": "--stderr"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/stderr"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stdout to file",
                    "inputBinding": {
                        "prefix": "--stdout"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/stdout"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Tag to identify this GATK run as part of a group of runs",
                    "inputBinding": {
                        "prefix": "--tag"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/tag"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Enable unsafe operations - nothing will be checked at runtime (ALLOW_N_CIGAR_READS| ALLOW_UNINDEXED_BAM| ALLOW_UNSET_BAM_SORT_ORDER| NO_READ_ORDER_VERIFICATION| ALLOW_SEQ_DICT_INCOMPATIBILITY| LENIENT_VCF_PROCESSING|ALL)",
                    "inputBinding": {
                        "prefix": "--unsafe"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/unsafe"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Use the base quality scores from the OQ tag",
                    "inputBinding": {
                        "prefix": "--useOriginalQualities"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/useOriginalQualities"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "How strict should we be with validation (STRICT|LENIENT| SILENT)",
                    "inputBinding": {
                        "prefix": "--validation_strictness"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/validation_strictness"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Parameter to pass to the VCF/BCF IndexCreator",
                    "inputBinding": {
                        "prefix": "--variant_index_parameter"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/variant_index_parameter"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Type of IndexCreator to use for VCF/BCF indices (DYNAMIC_SEEK| DYNAMIC_SIZE|LINEAR|INTERVAL)",
                    "inputBinding": {
                        "prefix": "--variant_index_type"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/variant_index_type"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.out)\n    return inputs.out;\n  return null;\n}\n"
                    },
                    "id": "#cmo-gatk.BaseRecalibrator.cwl/recal_matrix"
                }
            ],
            "id": "#cmo-gatk.BaseRecalibrator.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-gatk.BaseRecalibrator",
                    "http://usefulinc.com/ns/doap#revision": "3.3-0"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_gatk"
            ],
            "label": "cmo-gatk-FindCoveredIntervals",
            "arguments": [
                {
                    "valueFrom": "FindCoveredIntervals",
                    "prefix": "-T",
                    "position": 0
                },
                {
                    "valueFrom": "3.3-0",
                    "prefix": "--version",
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 24000,
                    "coresMin": 1,
                    "class": "ResourceRequirement"
                }
            ],
            "doc": "None\n",
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Input covariates table file for on-the-fly base quality score recalibration",
                    "inputBinding": {
                        "prefix": "--BQSR"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/BQSR"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Threshold for the probability of a profile state being active.",
                    "inputBinding": {
                        "prefix": "--activeProbabilityThreshold"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/activeProbabilityThreshold"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "The active region extension; if not provided defaults to Walker annotated default",
                    "inputBinding": {
                        "prefix": "--activeRegionExtension"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/activeRegionExtension"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Use this interval list file as the active regions to process",
                    "inputBinding": {
                        "prefix": "--activeRegionIn"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/activeRegionIn"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "The active region maximum size; if not provided defaults to Walker annotated default",
                    "inputBinding": {
                        "prefix": "--activeRegionMaxSize"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/activeRegionMaxSize"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Output the active region to this IGV formatted file",
                    "inputBinding": {
                        "prefix": "--activeRegionOut"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/activeRegionOut"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Output the raw activity profile results in IGV format",
                    "inputBinding": {
                        "prefix": "--activityProfileOut"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/activityProfileOut"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Ignore warnings about base quality score encoding",
                    "inputBinding": {
                        "prefix": "--allow_potentially_misencoded_quality_scores"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/allow_potentially_misencoded_quality_scores"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Reads arguments from the specified file",
                    "inputBinding": {
                        "prefix": "--arg_file"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/arg_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Compression level to use for writing BAM files (0 - 9, higher is more compressed)",
                    "inputBinding": {
                        "prefix": "--bam_compression"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/bam_compression"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "The sigma of the band pass filter Gaussian kernel; if not provided defaults to Walker annotated default",
                    "inputBinding": {
                        "prefix": "--bandPassSigma"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/bandPassSigma"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Type of BAQ calculation to apply in the engine (OFF| CALCULATE_AS_NECESSARY| RECALCULATE)",
                    "inputBinding": {
                        "prefix": "--baq"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/baq"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "BAQ gap open penalty",
                    "inputBinding": {
                        "prefix": "--baqGapOpenPenalty"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/baqGapOpenPenalty"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "The minimum allowable coverage to be considered covered",
                    "inputBinding": {
                        "prefix": "--coverage_threshold"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/coverage_threshold"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Assign a default base quality",
                    "inputBinding": {
                        "prefix": "--defaultBaseQualities"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/defaultBaseQualities"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Turn off on-the-fly creation of",
                    "inputBinding": {
                        "prefix": "--disable_bam_indexing"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/disable_bam_indexing"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Disable printing of base insertion and deletion tags (with -BQSR)",
                    "inputBinding": {
                        "prefix": "--disable_indel_quals"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/disable_indel_quals"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Target coverage threshold for downsampling to coverage",
                    "inputBinding": {
                        "prefix": "--downsample_to_coverage"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/downsample_to_coverage"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Fraction of reads to downsample to",
                    "inputBinding": {
                        "prefix": "--downsample_to_fraction"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/downsample_to_fraction"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Type of read downsampling to employ at a given locus (NONE| ALL_READS|BY_SAMPLE)",
                    "inputBinding": {
                        "prefix": "--downsampling_type"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/downsampling_type"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Emit the OQ tag with the original base qualities (with -BQSR)",
                    "inputBinding": {
                        "prefix": "--emit_original_quals"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/emit_original_quals"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "One or more genomic intervals to exclude from processing",
                    "inputBinding": {
                        "prefix": "--excludeIntervals"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/excludeIntervals"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "if a read has no stored bases (i.e. a '*'), filter out the read instead of blowing up.",
                    "inputBinding": {
                        "prefix": "--filter_bases_not_stored"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/filter_bases_not_stored"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "if a read has mismatching number of bases and base qualities, filter out the read instead of blowing up.",
                    "inputBinding": {
                        "prefix": "--filter_mismatching_base_and_quals"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/filter_mismatching_base_and_quals"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "filter out reads with CIGAR containing the N operator, instead of stop processing and report an error.",
                    "inputBinding": {
                        "prefix": "--filter_reads_with_N_cigar"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/filter_reads_with_N_cigar"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Fix mis-encoded base quality scores",
                    "inputBinding": {
                        "prefix": "--fix_misencoded_quality_scores"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/fix_misencoded_quality_scores"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "If provided, all bases will be tagged as active",
                    "inputBinding": {
                        "prefix": "--forceActive"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/forceActive"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "GATK key file required to run with -et NO_ET",
                    "inputBinding": {
                        "prefix": "--gatk_key"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/gatk_key"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Enable on-the-fly creation of",
                    "inputBinding": {
                        "prefix": "--generate_md5"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/generate_md5"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Global Qscore Bayesian prior to use for BQSR",
                    "inputBinding": {
                        "prefix": "--globalQScorePrior"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/globalQScorePrior"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File",
                        "inputBinding": {
                            "prefix": "--input_file"
                        }
                    },
                    "doc": "Input file containing sequence data (SAM or BAM)",
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/input_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Interval merging rule for abutting intervals (ALL| OVERLAPPING_ONLY)",
                    "inputBinding": {
                        "prefix": "--interval_merging"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/interval_merging"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Amount of padding (in bp) to add to each interval",
                    "inputBinding": {
                        "prefix": "--interval_padding"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/interval_padding"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Set merging approach to use for combining interval inputs (UNION|INTERSECTION)",
                    "inputBinding": {
                        "prefix": "--interval_set_rule"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/interval_set_rule"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string",
                            "inputBinding": {
                                "prefix": "--intervals"
                            }
                        }
                    ],
                    "doc": "One or more genomic intervals over which to operate",
                    "inputBinding": {
                        "prefix": null
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/intervals"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "-Xmx48g -Xms256m -XX:-UseGCOverheadLimit",
                    "doc": "args to pass to java",
                    "inputBinding": {
                        "prefix": "--java_args"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/java_args"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "java.io.temp_dir, if you want to set it",
                    "inputBinding": {
                        "prefix": "--java-temp"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/java_temp"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Keep program records in the SAM header",
                    "inputBinding": {
                        "prefix": "--keep_program_records"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/keep_program_records"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Set the logging location",
                    "inputBinding": {
                        "prefix": "--log_to_file"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/log_to_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Set the minimum level of logging",
                    "inputBinding": {
                        "prefix": "--logging_level"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/logging_level"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Stop execution cleanly as soon as maxRuntime has been reached",
                    "inputBinding": {
                        "prefix": "--maxRuntime"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/maxRuntime"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Unit of time used by maxRuntime (NANOSECONDS|MICROSECONDS| MILLISECONDS|SECONDS|MINUTES| HOURS|DAYS)",
                    "inputBinding": {
                        "prefix": "--maxRuntimeUnits"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/maxRuntimeUnits"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "The minimum allowable base quality score to be counted for coverage",
                    "inputBinding": {
                        "prefix": "--minBaseQuality"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/minBaseQuality"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "The minimum allowable mapping quality score to be counted for coverage",
                    "inputBinding": {
                        "prefix": "--minMappingQuality"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/minMappingQuality"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Enable threading efficiency monitoring",
                    "inputBinding": {
                        "prefix": "--monitorThreadEfficiency"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/monitorThreadEfficiency"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Always output all the records in VCF FORMAT fields, even if some are missing",
                    "inputBinding": {
                        "prefix": "--never_trim_vcf_format_field"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/never_trim_vcf_format_field"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Use a non-deterministic random seed",
                    "inputBinding": {
                        "prefix": "--nonDeterministicRandomSeed"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/nonDeterministicRandomSeed"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Total number of BAM file handles to keep open simultaneously",
                    "inputBinding": {
                        "prefix": "--num_bam_file_handles"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/num_bam_file_handles"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Number of CPU threads to allocate per data thread",
                    "inputBinding": {
                        "prefix": "--num_cpu_threads_per_data_thread"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/num_cpu_threads_per_data_thread"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Number of data threads to allocate to this analysis",
                    "inputBinding": {
                        "prefix": "--num_threads"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/num_threads"
                },
                {
                    "type": "string",
                    "doc": "An output file created by the walker. Will overwrite contents if file exists",
                    "inputBinding": {
                        "prefix": "--out"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/out"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Pedigree files for samples",
                    "inputBinding": {
                        "prefix": "--pedigree"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/pedigree"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Pedigree string for samples",
                    "inputBinding": {
                        "prefix": "--pedigreeString"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/pedigreeString"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Validation strictness for pedigree information (STRICT| SILENT)",
                    "inputBinding": {
                        "prefix": "--pedigreeValidationType"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/pedigreeValidationType"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Write GATK runtime performance log to this file",
                    "inputBinding": {
                        "prefix": "--performanceLog"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/performanceLog"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Run reporting mode (NO_ET|AWS| STDOUT)",
                    "inputBinding": {
                        "prefix": "--phone_home"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/phone_home"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Don't recalibrate bases with quality scores less than this threshold (with -BQSR)",
                    "inputBinding": {
                        "prefix": "--preserve_qscores_less_than"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/preserve_qscores_less_than"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Number of reads per SAM file to buffer in memory",
                    "inputBinding": {
                        "prefix": "--read_buffer_size"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/read_buffer_size"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Filters to apply to reads before analysis",
                    "inputBinding": {
                        "prefix": "--read_filter"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/read_filter"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Exclude read groups based on tags",
                    "inputBinding": {
                        "prefix": "--read_group_black_list"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/read_group_black_list"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "refactor cigar string with NDN elements to one element",
                    "inputBinding": {
                        "prefix": "--refactor_NDN_cigar_string"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/refactor_NDN_cigar_string"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--reference_sequence"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/reference_sequence"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Remove program records from the SAM header",
                    "inputBinding": {
                        "prefix": "--remove_program_records"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/remove_program_records"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Rename sample IDs on-the-fly at runtime using the provided mapping file",
                    "inputBinding": {
                        "prefix": "--sample_rename_mapping_file"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/sample_rename_mapping_file"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "If provided, output BAM files will be simplified to include just key reads for downstream variation discovery analyses (removing duplicates, PF-, non-primary reads), as well stripping all extended tags from the kept reads except the read group identifier",
                    "inputBinding": {
                        "prefix": "--simplifyBAM"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/simplifyBAM"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Just output sites without genotypes (i.e. only the first 8 columns of the VCF)",
                    "inputBinding": {
                        "prefix": "--sites_only"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/sites_only"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stderr to file",
                    "inputBinding": {
                        "prefix": "--stderr"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/stderr"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stdout to file",
                    "inputBinding": {
                        "prefix": "--stdout"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/stdout"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Tag to identify this GATK run as part of a group of runs",
                    "inputBinding": {
                        "prefix": "--tag"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/tag"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "output intervals that fail the coverage threshold instead",
                    "inputBinding": {
                        "prefix": "--uncovered"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/uncovered"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Enable unsafe operations - nothing will be checked at runtime (ALLOW_N_CIGAR_READS| ALLOW_UNINDEXED_BAM| ALLOW_UNSET_BAM_SORT_ORDER| NO_READ_ORDER_VERIFICATION| ALLOW_SEQ_DICT_INCOMPATIBILITY| LENIENT_VCF_PROCESSING|ALL)",
                    "inputBinding": {
                        "prefix": "--unsafe"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/unsafe"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Use the base quality scores from the OQ tag",
                    "inputBinding": {
                        "prefix": "--useOriginalQualities"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/useOriginalQualities"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "How strict should we be with validation (STRICT|LENIENT| SILENT)",
                    "inputBinding": {
                        "prefix": "--validation_strictness"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/validation_strictness"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Parameter to pass to the VCF/BCF IndexCreator",
                    "inputBinding": {
                        "prefix": "--variant_index_parameter"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/variant_index_parameter"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Type of IndexCreator to use for VCF/BCF indices (DYNAMIC_SEEK| DYNAMIC_SIZE|LINEAR|INTERVAL)",
                    "inputBinding": {
                        "prefix": "--variant_index_type"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/variant_index_type"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.out)\n    return inputs.out;\n  return null;\n}\n"
                    },
                    "id": "#cmo-gatk.FindCoveredIntervals.cwl/fci_list"
                }
            ],
            "id": "#cmo-gatk.FindCoveredIntervals.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-gatk.FindCoveredIntervals",
                    "http://usefulinc.com/ns/doap#revision": "3.3-0"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_gatk"
            ],
            "label": "cmo-gatk-PrintReads",
            "arguments": [
                {
                    "valueFrom": "PrintReads",
                    "prefix": "-T",
                    "position": 0
                },
                {
                    "valueFrom": "3.3-0",
                    "prefix": "--version",
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 36000,
                    "coresMin": 2,
                    "class": "ResourceRequirement"
                }
            ],
            "doc": "None\n",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "doc": "Input covariates table file for on-the-fly base quality score recalibration",
                    "inputBinding": {
                        "prefix": "--BQSR"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/BQSR"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Ignore warnings about base quality score encoding",
                    "inputBinding": {
                        "prefix": "--allow_potentially_misencoded_quality_scores"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/allow_potentially_misencoded_quality_scores"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Reads arguments from the specified file",
                    "inputBinding": {
                        "prefix": "--arg_file"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/arg_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Compression level to use for writing BAM files (0 - 9, higher is more compressed)",
                    "inputBinding": {
                        "prefix": "--bam_compression"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/bam_compression"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Type of BAQ calculation to apply in the engine (OFF| CALCULATE_AS_NECESSARY| RECALCULATE)",
                    "inputBinding": {
                        "prefix": "--baq"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/baq"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "BAQ gap open penalty",
                    "inputBinding": {
                        "prefix": "--baqGapOpenPenalty"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/baqGapOpenPenalty"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Assign a default base quality",
                    "inputBinding": {
                        "prefix": "--defaultBaseQualities"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/defaultBaseQualities"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Turn off on-the-fly creation of",
                    "inputBinding": {
                        "prefix": "--disable_bam_indexing"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/disable_bam_indexing"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Disable printing of base insertion and deletion tags (with -BQSR)",
                    "inputBinding": {
                        "prefix": "--disable_indel_quals"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/disable_indel_quals"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Target coverage threshold for downsampling to coverage",
                    "inputBinding": {
                        "prefix": "--downsample_to_coverage"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/downsample_to_coverage"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Fraction of reads to downsample to",
                    "inputBinding": {
                        "prefix": "--downsample_to_fraction"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/downsample_to_fraction"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Type of read downsampling to employ at a given locus (NONE| ALL_READS|BY_SAMPLE)",
                    "inputBinding": {
                        "prefix": "--downsampling_type"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/downsampling_type"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Emit the OQ tag with the original base qualities (with -BQSR)",
                    "inputBinding": {
                        "prefix": "--emit_original_quals"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/emit_original_quals"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "One or more genomic intervals to exclude from processing",
                    "inputBinding": {
                        "prefix": "--excludeIntervals"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/excludeIntervals"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "if a read has no stored bases (i.e. a '*'), filter out the read instead of blowing up.",
                    "inputBinding": {
                        "prefix": "--filter_bases_not_stored"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/filter_bases_not_stored"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "if a read has mismatching number of bases and base qualities, filter out the read instead of blowing up.",
                    "inputBinding": {
                        "prefix": "--filter_mismatching_base_and_quals"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/filter_mismatching_base_and_quals"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "filter out reads with CIGAR containing the N operator, instead of stop processing and report an error.",
                    "inputBinding": {
                        "prefix": "--filter_reads_with_N_cigar"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/filter_reads_with_N_cigar"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Fix mis-encoded base quality scores",
                    "inputBinding": {
                        "prefix": "--fix_misencoded_quality_scores"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/fix_misencoded_quality_scores"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "GATK key file required to run with -et NO_ET",
                    "inputBinding": {
                        "prefix": "--gatk_key"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/gatk_key"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Enable on-the-fly creation of",
                    "inputBinding": {
                        "prefix": "--generate_md5"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/generate_md5"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Global Qscore Bayesian prior to use for BQSR",
                    "inputBinding": {
                        "prefix": "--globalQScorePrior"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/globalQScorePrior"
                },
                {
                    "type": "File",
                    "doc": "Input file containing sequence data (SAM or BAM)",
                    "inputBinding": {
                        "prefix": "--input_file"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/input_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Interval merging rule for abutting intervals (ALL| OVERLAPPING_ONLY)",
                    "inputBinding": {
                        "prefix": "--interval_merging"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/interval_merging"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Amount of padding (in bp) to add to each interval",
                    "inputBinding": {
                        "prefix": "--interval_padding"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/interval_padding"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Set merging approach to use for combining interval inputs (UNION|INTERSECTION)",
                    "inputBinding": {
                        "prefix": "--interval_set_rule"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/interval_set_rule"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "One or more genomic intervals over which to operate",
                    "inputBinding": {
                        "prefix": "--intervals"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/intervals"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "-Xmx48g -Xms256m -XX:-UseGCOverheadLimit",
                    "doc": "args to pass to java",
                    "inputBinding": {
                        "prefix": "--java_args"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/java_args"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "java.io.temp_dir, if you want to set it",
                    "inputBinding": {
                        "prefix": "--java-temp"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/java_temp"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Keep program records in the SAM header",
                    "inputBinding": {
                        "prefix": "--keep_program_records"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/keep_program_records"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Set the logging location",
                    "inputBinding": {
                        "prefix": "--log_to_file"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/log_to_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Set the minimum level of logging",
                    "inputBinding": {
                        "prefix": "--logging_level"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/logging_level"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Stop execution cleanly as soon as maxRuntime has been reached",
                    "inputBinding": {
                        "prefix": "--maxRuntime"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/maxRuntime"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Unit of time used by maxRuntime (NANOSECONDS|MICROSECONDS| MILLISECONDS|SECONDS|MINUTES| HOURS|DAYS)",
                    "inputBinding": {
                        "prefix": "--maxRuntimeUnits"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/maxRuntimeUnits"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Enable threading efficiency monitoring",
                    "inputBinding": {
                        "prefix": "--monitorThreadEfficiency"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/monitorThreadEfficiency"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Always output all the records in VCF FORMAT fields, even if some are missing",
                    "inputBinding": {
                        "prefix": "--never_trim_vcf_format_field"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/never_trim_vcf_format_field"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Use a non-deterministic random seed",
                    "inputBinding": {
                        "prefix": "--nonDeterministicRandomSeed"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/nonDeterministicRandomSeed"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Total number of BAM file handles to keep open simultaneously",
                    "inputBinding": {
                        "prefix": "--num_bam_file_handles"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/num_bam_file_handles"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "2",
                    "doc": "Number of CPU threads to allocate per data thread",
                    "inputBinding": {
                        "prefix": "--num_cpu_threads_per_data_thread"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/num_cpu_threads_per_data_thread"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Number of data threads to allocate to this analysis",
                    "inputBinding": {
                        "prefix": "--num_threads"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/num_threads"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Print the first n reads from the file, discarding the rest",
                    "inputBinding": {
                        "prefix": "--number"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/number"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Write output to this BAM filename instead of STDOUT",
                    "inputBinding": {
                        "prefix": "--out"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/out"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Pedigree files for samples",
                    "inputBinding": {
                        "prefix": "--pedigree"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/pedigree"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Pedigree string for samples",
                    "inputBinding": {
                        "prefix": "--pedigreeString"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/pedigreeString"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Validation strictness for pedigree information (STRICT| SILENT)",
                    "inputBinding": {
                        "prefix": "--pedigreeValidationType"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/pedigreeValidationType"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Write GATK runtime performance log to this file",
                    "inputBinding": {
                        "prefix": "--performanceLog"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/performanceLog"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Run reporting mode (NO_ET|AWS| STDOUT)",
                    "inputBinding": {
                        "prefix": "--phone_home"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/phone_home"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Exclude all reads with this platform from the output",
                    "inputBinding": {
                        "prefix": "--platform"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/platform"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Don't recalibrate bases with quality scores less than this threshold (with -BQSR)",
                    "inputBinding": {
                        "prefix": "--preserve_qscores_less_than"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/preserve_qscores_less_than"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Exclude all reads with this read group from the output",
                    "inputBinding": {
                        "prefix": "--readGroup"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/readGroup"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Number of reads per SAM file to buffer in memory",
                    "inputBinding": {
                        "prefix": "--read_buffer_size"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/read_buffer_size"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Filters to apply to reads before analysis",
                    "inputBinding": {
                        "prefix": "--read_filter"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/read_filter"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Exclude read groups based on tags",
                    "inputBinding": {
                        "prefix": "--read_group_black_list"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/read_group_black_list"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "refactor cigar string with NDN elements to one element",
                    "inputBinding": {
                        "prefix": "--refactor_NDN_cigar_string"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/refactor_NDN_cigar_string"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--reference_sequence"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/reference_sequence"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Remove program records from the SAM header",
                    "inputBinding": {
                        "prefix": "--remove_program_records"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/remove_program_records"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "File containing a list of samples (one per line). Can be specified multiple times",
                    "inputBinding": {
                        "prefix": "--sample_file"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/sample_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Sample name to be included in the analysis. Can be specified multiple times.",
                    "inputBinding": {
                        "prefix": "--sample_name"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/sample_name"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Rename sample IDs on-the-fly at runtime using the provided mapping file",
                    "inputBinding": {
                        "prefix": "--sample_rename_mapping_file"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/sample_rename_mapping_file"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Simplify all reads.",
                    "inputBinding": {
                        "prefix": "--simplify"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/simplify"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "If provided, output BAM files will be simplified to include just key reads for downstream variation discovery analyses (removing duplicates, PF-, non-primary reads), as well stripping all extended tags from the kept reads except the read group identifier",
                    "inputBinding": {
                        "prefix": "--simplifyBAM"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/simplifyBAM"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Just output sites without genotypes (i.e. only the first 8 columns of the VCF)",
                    "inputBinding": {
                        "prefix": "--sites_only"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/sites_only"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stderr to file",
                    "inputBinding": {
                        "prefix": "--stderr"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/stderr"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stdout to file",
                    "inputBinding": {
                        "prefix": "--stdout"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/stdout"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Tag to identify this GATK run as part of a group of runs",
                    "inputBinding": {
                        "prefix": "--tag"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/tag"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Enable unsafe operations - nothing will be checked at runtime (ALLOW_N_CIGAR_READS| ALLOW_UNINDEXED_BAM| ALLOW_UNSET_BAM_SORT_ORDER| NO_READ_ORDER_VERIFICATION| ALLOW_SEQ_DICT_INCOMPATIBILITY| LENIENT_VCF_PROCESSING|ALL)",
                    "inputBinding": {
                        "prefix": "--unsafe"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/unsafe"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Use the base quality scores from the OQ tag",
                    "inputBinding": {
                        "prefix": "--useOriginalQualities"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/useOriginalQualities"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "How strict should we be with validation (STRICT|LENIENT| SILENT)",
                    "inputBinding": {
                        "prefix": "--validation_strictness"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/validation_strictness"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Parameter to pass to the VCF/BCF IndexCreator",
                    "inputBinding": {
                        "prefix": "--variant_index_parameter"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/variant_index_parameter"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Type of IndexCreator to use for VCF/BCF indices (DYNAMIC_SEEK| DYNAMIC_SIZE|LINEAR|INTERVAL)",
                    "inputBinding": {
                        "prefix": "--variant_index_type"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/variant_index_type"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "outputBinding": {
                        "glob": "${\n  if (inputs.out)\n    return inputs.out;\n  return null;\n}\n"
                    },
                    "id": "#cmo-gatk.PrintReads.cwl/out_bam"
                }
            ],
            "id": "#cmo-gatk.PrintReads.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-gatk.PrintReads",
                    "http://usefulinc.com/ns/doap#revision": "3.3-0"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_list2bed"
            ],
            "label": "cmo_list2bed",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 2000,
                    "coresMin": 1,
                    "class": "ResourceRequirement"
                }
            ],
            "doc": "Convert a Picard interval list file to a UCSC BED format\n",
            "inputs": [
                {
                    "type": [
                        "string",
                        "File",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "picard interval list",
                    "inputBinding": {
                        "prefix": "--input_file"
                    },
                    "id": "#cmo-list2bed.cwl/input_file"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "doc": "sort bed file output",
                    "inputBinding": {
                        "prefix": "--no_sort"
                    },
                    "id": "#cmo-list2bed.cwl/no_sort"
                },
                {
                    "type": "string",
                    "doc": "output bed file",
                    "inputBinding": {
                        "prefix": "--output_file"
                    },
                    "id": "#cmo-list2bed.cwl/output_filename"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.output_filename)\n    return inputs.output_filename;\n  return null;\n}\n"
                    },
                    "id": "#cmo-list2bed.cwl/output_file"
                }
            ],
            "id": "#cmo-list2bed.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-list2bed",
                    "http://usefulinc.com/ns/doap#revision": "1.0.1"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_picard"
            ],
            "label": "cmo-picard-AddOrReplaceReadGroups",
            "arguments": [
                {
                    "valueFrom": "AddOrReplaceReadGroups",
                    "prefix": "--cmd",
                    "position": 0
                },
                {
                    "valueFrom": "2.9",
                    "prefix": "--version",
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 16000,
                    "coresMin": 1,
                    "class": "ResourceRequirement"
                }
            ],
            "doc": "None\n",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Read Group sequencing center name Default value - null.",
                    "inputBinding": {
                        "prefix": "--RGCN"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/CN"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--COMPRESSION_LEVEL"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/COMPRESSION_LEVEL"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "--CREATE_INDEX"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/CREATE_INDEX"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "inputBinding": {
                        "prefix": "--CREATE_MD5_FILE"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/CREATE_MD5_FILE"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Read Group description Default value - null.",
                    "inputBinding": {
                        "prefix": "--RGDS"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/DS"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Read Group run date Default value - null.",
                    "inputBinding": {
                        "prefix": "--RGDT"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/DT"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Read Group flow order Default value - null.",
                    "inputBinding": {
                        "prefix": "--RGFO"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/FO"
                },
                {
                    "type": [
                        "null",
                        "File",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "--INPUT"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/I"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Read Group ID Default value - 1. This option can be set to 'null' to clear the default value.",
                    "inputBinding": {
                        "prefix": "--RGID"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/ID"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Read Group key sequence Default value - null.",
                    "inputBinding": {
                        "prefix": "--RGKS"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/KS"
                },
                {
                    "type": "string",
                    "doc": "Read Group library Required.",
                    "inputBinding": {
                        "prefix": "--RGLB"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/LB"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--MAX_RECORDS_IN_RAM"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/MAX_RECORDS_IN_RAM"
                },
                {
                    "type": "string",
                    "doc": "Output file (BAM or SAM). Required.",
                    "inputBinding": {
                        "prefix": "--OUTPUT"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/O"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Read Group program group Default value - null.",
                    "inputBinding": {
                        "prefix": "--RGPG"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/PG"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Read Group predicted insert size Default value - null.",
                    "inputBinding": {
                        "prefix": "--RGPI"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/PI"
                },
                {
                    "type": "string",
                    "doc": "Read Group platform (e.g. illumina, solid) Required.",
                    "inputBinding": {
                        "prefix": "--RGPL"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/PL"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Read Group platform model Default value - null.",
                    "inputBinding": {
                        "prefix": "--RGPM"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/PM"
                },
                {
                    "type": "string",
                    "doc": "Read Group platform unit (eg. run barcode) Required.",
                    "inputBinding": {
                        "prefix": "--RGPU"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/PU"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "inputBinding": {
                        "prefix": "--QUIET"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/QUIET"
                },
                {
                    "type": "string",
                    "doc": "Read Group sample name Required.",
                    "inputBinding": {
                        "prefix": "--RGSM"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/SM"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Optional sort order to output in. If not supplied OUTPUT is in the same order as INPUT. Default value - null. Possible values - {unsorted, queryname, coordinate, duplicate, unknown}",
                    "inputBinding": {
                        "prefix": "--SORT_ORDER"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/SO"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--TMP_DIR"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/TMP_DIR"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--VALIDATION_STRINGENCY"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/VALIDATION_STRINGENCY"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--VERBOSITY"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/VERBOSITY"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stderr to file",
                    "inputBinding": {
                        "prefix": "--stderr"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/stderr"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stdout to file",
                    "inputBinding": {
                        "prefix": "--stdout"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/stdout"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n  if (inputs.O)\n    return inputs.O.replace(/^.*[\\\\\\/]/, '').replace(/\\.[^/.]+$/, '').replace(/\\.bam/,'') + \".bai\";\n  return null;\n}"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/bai"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.O)\n    return inputs.O;\n  return null;\n}\n"
                    },
                    "id": "#cmo-picard.AddOrReplaceReadGroups.cwl/bam"
                }
            ],
            "id": "#cmo-picard.AddOrReplaceReadGroups.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-picard.AddOrReplaceReadGroups",
                    "http://usefulinc.com/ns/doap#revision": 2.9
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_picard"
            ],
            "label": "cmo-picard-MarkDuplicates",
            "arguments": [
                {
                    "valueFrom": "MarkDuplicates",
                    "prefix": "--cmd",
                    "position": 0
                },
                {
                    "valueFrom": "2.9",
                    "prefix": "--version",
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 32000,
                    "coresMin": 1,
                    "class": "ResourceRequirement"
                }
            ],
            "doc": "None\n",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "If true, assume that the input file is coordinate sorted even if the header says otherwise. Deprecated, used ASSUME_SORT_ORDER=coordinate instead. Default value - false. This option can be set to 'null' to clear the default value. Possible values - {true, false} Cannot be used in conjuction with option(s) ASSUME_SORT_ORDER (ASO)",
                    "inputBinding": {
                        "prefix": "--ASSUME_SORTED"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/AS"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "If not null, assume that the input file has this order even if the header says otherwise. Default value - null. Possible values - {unsorted, queryname, coordinate, duplicate, unknown} Cannot be used in conjuction with option(s) ASSUME_SORTED (AS)",
                    "inputBinding": {
                        "prefix": "--ASSUME_SORT_ORDER"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/ASO"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Barcode SAM tag (ex. BC for 10X Genomics) Default value - null.",
                    "inputBinding": {
                        "prefix": "--BARCODE_TAG"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/BARCODE_TAG"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Clear DT tag from input SAM records. Should be set to false if input SAM doesn't have this tag. Default true Default value - true. This option can be set to 'null' to clear the default value. Possible values - {true, false}",
                    "inputBinding": {
                        "prefix": "--CLEAR_DT"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/CLEAR_DT"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Comment(s) to include in the output file's header. Default value - null. This option may be specified 0 or more times.",
                    "inputBinding": {
                        "prefix": "--COMMENT"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/CO"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--COMPRESSION_LEVEL"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/COMPRESSION_LEVEL"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "--CREATE_INDEX"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/CREATE_INDEX"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "inputBinding": {
                        "prefix": "--CREATE_MD5_FILE"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/CREATE_MD5_FILE"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "The scoring strategy for choosing the non-duplicate among candidates. Default value - SUM_OF_BASE_QUALITIES. This option can be set to 'null' to clear the default value. Possible values - {SUM_OF_BASE_QUALITIES, TOTAL_MAPPED_REFERENCE_LENGTH, RANDOM}",
                    "inputBinding": {
                        "prefix": "--DUPLICATE_SCORING_STRATEGY"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/DS"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File",
                            "inputBinding": {
                                "prefix": "--I"
                            }
                        }
                    ],
                    "id": "#cmo-picard.MarkDuplicates.cwl/I"
                },
                {
                    "type": "string",
                    "doc": "File to write duplication metrics to Required.",
                    "inputBinding": {
                        "prefix": "--METRICS_FILE"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/M"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Maximum number of file handles to keep open when spilling read ends to disk. Set this number a little lower than the per-process maximum number of file that may be open. This number can be found by executing the 'ulimit -n' command on a Unix system. Default value - 8000. This option can be set to 'null' to clear the default value.",
                    "inputBinding": {
                        "prefix": "--MAX_FILE_HANDLES_FOR_READ_ENDS_MAP"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/MAX_FILE_HANDLES"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "This number is the maximum size of a set of duplicate reads for which we will attempt to determine which are optical duplicates. Please be aware that if you raise this value too high and do encounter a very large set of duplicate reads, it will severely affect the runtime of this tool. To completely disable this check, set the value to -1. Default value - 300000. This option can be set to 'null' to clear the default value.",
                    "inputBinding": {
                        "prefix": "--MAX_OPTICAL_DUPLICATE_SET_SIZE"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/MAX_OPTICAL_DUPLICATE_SET_SIZE"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--MAX_RECORDS_IN_RAM"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/MAX_RECORDS_IN_RAM"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "This option is obsolete. ReadEnds will always be spilled to disk. Default value - 50000. This option can be set to 'null' to clear the default value.",
                    "inputBinding": {
                        "prefix": "--MAX_SEQUENCES_FOR_DISK_READ_ENDS_MAP"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/MAX_SEQS"
                },
                {
                    "type": "string",
                    "doc": "The output file to write marked records to Required.",
                    "inputBinding": {
                        "prefix": "--OUTPUT"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/O"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "The maximum offset between two duplicate clusters in order to consider them optical duplicates. The default is appropriate for unpatterned versions of the Illumina platform. For the patterned flowcell models, 2500 is moreappropriate. For other platforms and models, users should experiment to find what works best. Default value - 100. This option can be set to 'null' to clear the default value.",
                    "inputBinding": {
                        "prefix": "--OPTICAL_DUPLICATE_PIXEL_DISTANCE"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/OPTICAL_DUPLICATE_PIXEL_DISTANCE"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "The program record ID for the @PG record(s) created by this program. Set to null to disable PG record creation. This string may have a suffix appended to avoid collision with other program record IDs. Default value - MarkDuplicates. This option can be set to 'null' to clear the default value.",
                    "inputBinding": {
                        "prefix": "--PROGRAM_RECORD_ID"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/PG"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Value of CL tag of PG record to be created. If not supplied the command line will be detected automatically. Default value - null.",
                    "inputBinding": {
                        "prefix": "--PROGRAM_GROUP_COMMAND_LINE"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/PG_COMMAND"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Value of PN tag of PG record to be created. Default value - MarkDuplicates. This option can be set to 'null' to clear the default value.",
                    "inputBinding": {
                        "prefix": "--PROGRAM_GROUP_NAME"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/PG_NAME"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Value of VN tag of PG record to be created. If not specified, the version will be detected automatically. Default value - null.",
                    "inputBinding": {
                        "prefix": "--PROGRAM_GROUP_VERSION"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/PG_VERSION"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "inputBinding": {
                        "prefix": "--QUIET"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/QUIET"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Regular expression that can be used to parse read names in the incoming SAM file. Read names are parsed to extract three variables - tile/region, x coordinate and y coordinate. These values are used to estimate the rate of optical duplication in order to give a more accurate estimated library size. Set this option to null to disable optical duplicate detection, e.g. for RNA-seq or other data where duplicate sets are extremely large and estimating library complexity is not an aim. Note that without optical duplicate counts, library size estimation will be inaccurate. The regular expression should contain three capture groups for the three variables, in order. It must match the entire read name. Note that if the default regex is specified, a regex match is not actually done, but instead the read name is split on colon character. For 5 element names, the 3rd, 4th and 5th elements are assumed to be tile, x and y values. For 7 element names (CASAVA 1.8), the 5th, 6th, and 7th elements are assumed to be tile, x and y values. Default value - <optimized capture of last three ' -' separated fields as numeric values>. This option can be set to 'null' to clear the default value.",
                    "inputBinding": {
                        "prefix": "--READ_NAME_REGEX"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/READ_NAME_REGEX"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Read one barcode SAM tag (ex. BX for 10X Genomics) Default value - null.",
                    "inputBinding": {
                        "prefix": "--READ_ONE_BARCODE_TAG"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/READ_ONE_BARCODE_TAG"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Read two barcode SAM tag (ex. BX for 10X Genomics) Default value - null.",
                    "inputBinding": {
                        "prefix": "--READ_TWO_BARCODE_TAG"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/READ_TWO_BARCODE_TAG"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "If true do not write duplicates to the output file instead of writing them with appropriate flags set. Default value - false. This option can be set to 'null' to clear the default value. Possible values - {true, false}",
                    "inputBinding": {
                        "prefix": "--REMOVE_DUPLICATES"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/REMOVE_DUPLICATES"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "If true remove 'optical' duplicates and other duplicates that appear to have arisen from the sequencing process instead of the library preparation process, even if REMOVE_DUPLICATES is false. If REMOVE_DUPLICATES is true, all duplicates are removed and this option is ignored. Default value - false. This option can be set to 'null' to clear the default value. Possible values - {true, false}",
                    "inputBinding": {
                        "prefix": "--REMOVE_SEQUENCING_DUPLICATES"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/REMOVE_SEQUENCING_DUPLICATES"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "This number, plus the maximum RAM available to the JVM, determine the memory footprint used by some of the sorting collections. If you are running out of memory, try reducing this number. Default value - 0.25. This option can be set to 'null' to clear the default value.",
                    "inputBinding": {
                        "prefix": "--SORTING_COLLECTION_SIZE_RATIO"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/SORTING_COLLECTION_SIZE_RATIO"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Determines how duplicate types are recorded in the DT optional attribute. Default value - DontTag. This option can be set to 'null' to clear the default value. Possible values - {DontTag, OpticalOnly, All}",
                    "inputBinding": {
                        "prefix": "--TAGGING_POLICY"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/TAGGING_POLICY"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "If a read appears in a duplicate set, add two tags. The first tag, DUPLICATE_SET_SIZE_TAG (DS), indicates the size of the duplicate set. The smallest possible DS value is 2 which occurs when two reads map to the same portion of the reference only one of which is marked as duplicate. The second tag, DUPLICATE_SET_INDEX_TAG (DI), represents a unique identifier for the duplicate set to which the record belongs. This identifier is the index-in-file of the representative read that was selected out of the duplicate set. Default value - false. This option can be set to 'null' to clear the default value. Possible values - {true, false}",
                    "inputBinding": {
                        "prefix": "--TAG_DUPLICATE_SET_MEMBERS"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/TAG_DUPLICATE_SET_MEMBERS"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--TMP_DIR"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/TMP_DIR"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--VALIDATION_STRINGENCY"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/VALIDATION_STRINGENCY"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--VERBOSITY"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/VERBOSITY"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stderr to file",
                    "inputBinding": {
                        "prefix": "--stderr"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/stderr"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stdout to file",
                    "inputBinding": {
                        "prefix": "--stdout"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/stdout"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n  if (inputs.O)\n    return inputs.O.replace(/^.*[\\\\\\/]/, '').replace(/\\.[^/.]+$/, '').replace(/\\.bam/,'') + \".bai\";\n  return null;\n}\n"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/bai"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "outputBinding": {
                        "glob": "${\n  if (inputs.O)\n    return inputs.O;\n  return null;\n}\n"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/bam"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.M)\n    return inputs.M;\n  return null;\n}\n"
                    },
                    "id": "#cmo-picard.MarkDuplicates.cwl/mdmetrics"
                }
            ],
            "id": "#cmo-picard.MarkDuplicates.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-picard.MarkDuplicates",
                    "http://usefulinc.com/ns/doap#revision": 2.9
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_split_reads"
            ],
            "label": "cmo-split-reads",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 24000,
                    "coresMin": 1,
                    "class": "ResourceRequirement"
                }
            ],
            "doc": "split files into chunks based on filesize\n",
            "inputs": [
                {
                    "type": "string",
                    "doc": "filename to split",
                    "inputBinding": {
                        "prefix": "--fastq1"
                    },
                    "id": "#cmo-split-reads.cwl/fastq1"
                },
                {
                    "type": "string",
                    "doc": "filename2 to split",
                    "inputBinding": {
                        "prefix": "--fastq2"
                    },
                    "id": "#cmo-split-reads.cwl/fastq2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "RG/PU ID",
                    "inputBinding": {
                        "prefix": "--platform-unit"
                    },
                    "id": "#cmo-split-reads.cwl/platform_unit"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "${\n  var pattern = inputs.platform_unit + \"-\" + inputs.fastq1.split('/').reverse()[0].split(\".\",1)[0].split('_').slice(1).join(\"-\") + \".chunk*\";\n  return pattern\n}\n"
                    },
                    "id": "#cmo-split-reads.cwl/chunks1"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "${\n  var pattern = inputs.platform_unit + \"-\" + inputs.fastq2.split('/').reverse()[0].split(\".\",1)[0].split('_').slice(1).join(\"-\") + \".chunk*\";\n  return pattern\n}\n"
                    },
                    "id": "#cmo-split-reads.cwl/chunks2"
                }
            ],
            "id": "#cmo-split-reads.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-split-reads",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_trimgalore"
            ],
            "label": "cmo-trimgalore",
            "arguments": [
                {
                    "valueFrom": "0.2.5.mod",
                    "prefix": "--version",
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement",
                    "expressionLib": [
                        "var getBaseName = function(inputFile) { return inputFile.basename; };"
                    ]
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 12000,
                    "coresMin": 1
                }
            ],
            "doc": "None\n",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Adapter sequence to be trimmed. If not specified explicitely, the first 13 bp of the Illumina adapter 'AGATCGGAAGAGC' will be used by default.",
                    "inputBinding": {
                        "prefix": "--adapter"
                    },
                    "id": "#cmo-trimgalore.cwl/adapter"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Optional adapter sequence to be trimmed off read 2 of paired-end files. This option requires '--paired' to be specified as well.",
                    "inputBinding": {
                        "prefix": "--adapter2"
                    },
                    "id": "#cmo-trimgalore.cwl/adapter2"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cmo-trimgalore.cwl/fastq1"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#cmo-trimgalore.cwl/fastq2"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Run FastQC in the default mode on the FastQ file once trimming is complete.--fastqc_args \"<ARGS>\" Passes extra arguments to FastQC. If more than one argument is to be passed to FastQC they must be in the form \"arg1 arg2 etc.\". An example would be - --fastqc_args \"--nogroup --outdir /home/\". Passing extra arguments will automatically invoke FastQC, so --fastqc does not have to be specified separately.",
                    "inputBinding": {
                        "prefix": "--fastqc"
                    },
                    "id": "#cmo-trimgalore.cwl/fastqc"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Compress the output file with gzip. If the input files are gzip-compressed the output files will be automatically gzip compressed as well.",
                    "inputBinding": {
                        "prefix": "--gzip"
                    },
                    "id": "#cmo-trimgalore.cwl/gzip"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Keep the quality trimmed intermediate file. Default - off, which means the temporary file is being deleted after adapter trimming. Only has an effect for RRBS samples since other FastQ files are not trimmed for poor qualities separately.Note for RRBS using MseI -If your DNA material was digested with MseI (recognition motif - TTAA) instead of MspI it is NOT necessaryto specify --rrbs or --non_directional since virtually all reads should start with the sequence'TAA', and this holds true for both directional and non-directional libraries. As the end-repair of 'TAA'restricted sites does not involve any cytosines it does not need to be treated especially. Instead, simplyrun Trim Galore! in the standard (i.e. non-RRBS) mode.Paired-end specific options -",
                    "inputBinding": {
                        "prefix": "--keep"
                    },
                    "id": "#cmo-trimgalore.cwl/keep"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Discard reads that became shorter than length INT because of either quality or adapter trimming. A value of '0' effectively disables this behaviour. Default - 20 bp. For paired-end files, both reads of a read-pair need to be longer than <INT> bp to be printed out to validated paired-end files (see option --paired). If only one read became too short there is the possibility of keeping such unpaired single-end reads (see --retain_unpaired). Default pair-cutoff - 20 bp.",
                    "inputBinding": {
                        "prefix": "--length"
                    },
                    "default": "25",
                    "id": "#cmo-trimgalore.cwl/length"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Unpaired single-end read length cutoff needed for read 1 to be written to '.unpaired_1.fq' output file. These reads may be mapped in single-end mode. Default - 35 bp.",
                    "inputBinding": {
                        "prefix": "--length_1"
                    },
                    "id": "#cmo-trimgalore.cwl/length_1"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Unpaired single-end read length cutoff needed for read 2 to be written to '.unpaired_2.fq' output file. These reads may be mapped in single-end mode. Default - 35 bp.Last modified on 18 Oct 2012.",
                    "inputBinding": {
                        "prefix": "--length_2"
                    },
                    "id": "#cmo-trimgalore.cwl/length_2"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "If specified no report file will be generated.",
                    "inputBinding": {
                        "prefix": "--no_report_file"
                    },
                    "id": "#cmo-trimgalore.cwl/no_report_file"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Selecting this option for non-directional RRBS libraries will screen quality-trimmed sequences for 'CAA' or 'CGA' at the start of the read and, if found, removes the first two basepairs. Like with the option '--rrbs' this avoids using cytosine positions that were filled-in during the end-repair step. '--non_directional' requires '--rrbs' to be specified as well.",
                    "inputBinding": {
                        "prefix": "--non_directional"
                    },
                    "id": "#cmo-trimgalore.cwl/non_directional"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "If specified all output will be written to this directory instead of the current directory.",
                    "inputBinding": {
                        "prefix": "--output_dir"
                    },
                    "id": "#cmo-trimgalore.cwl/output_dir"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "doc": "This option performs length trimming of quality/adapter/RRBS trimmed reads for paired-end files. To pass the validation test, both sequences of a sequence pair are required to have a certain minimum length which is governed by the option --length (see above). If only one read passes this length threshold the other read can be rescued (see option --retain_unpaired). Using this option lets you discard too short read pairs without disturbing the sequence-by-sequence order of FastQ files which is required by many aligners. Trim Galore! expects paired-end files to be supplied in a pairwise fashion, e.g. file1_1.fq file1_2.fq SRR2_1.fq.gz SRR2_2.fq.gz ... .",
                    "inputBinding": {
                        "prefix": "--paired"
                    },
                    "id": "#cmo-trimgalore.cwl/paired"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Instructs Cutadapt to use ASCII+33 quality scores as Phred scores (Sanger/Illumina 1.9+ encoding) for quality trimming. Default - ON.",
                    "inputBinding": {
                        "prefix": "--phred33"
                    },
                    "id": "#cmo-trimgalore.cwl/phred33"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Instructs Cutadapt to use ASCII+64 quality scores as Phred scores (Illumina 1.5 encoding) for quality trimming.",
                    "inputBinding": {
                        "prefix": "--phred64"
                    },
                    "id": "#cmo-trimgalore.cwl/phred64"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Trim low-quality ends from reads in addition to adapter removal. For RRBS samples, quality trimming will be performed first, and adapter trimming is carried in a second round. Other files are quality and adapter trimmed in a single pass. The algorithm is the same as the one used by BWA (Subtract INT from all qualities; compute partial sums from all indices to the end of the sequence; cut sequence at the index at which the sum is minimal). Default Phred score - 20.",
                    "inputBinding": {
                        "prefix": "--quality"
                    },
                    "default": "1",
                    "id": "#cmo-trimgalore.cwl/quality"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "If only one of the two paired-end reads became too short, the longer read will be written to either '.unpaired_1.fq' or '.unpaired_2.fq' output files. The length cutoff for unpaired single-end reads is governed by the parameters -r1/--length_1 and -r2/--length_2. Default - OFF.",
                    "inputBinding": {
                        "prefix": "--retain_unpaired"
                    },
                    "id": "#cmo-trimgalore.cwl/retain_unpaired"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Specifies that the input file was an MspI digested RRBS sample (recognition site - CCGG). Sequences which were adapter-trimmed will have a further 2 bp removed from their 3' end. This is to avoid that the filled-in C close to the second MspI site in a sequence is used for methylation calls. Sequences which were merely trimmed because of poor quality will not be shortened further.",
                    "inputBinding": {
                        "prefix": "--rrbs"
                    },
                    "id": "#cmo-trimgalore.cwl/rrbs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stderr to file",
                    "inputBinding": {
                        "prefix": "--stderr"
                    },
                    "id": "#cmo-trimgalore.cwl/stderr"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stdout to file",
                    "inputBinding": {
                        "prefix": "--stdout"
                    },
                    "id": "#cmo-trimgalore.cwl/stdout"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Overlap with adapter sequence required to trim a sequence. Defaults to a very stringent setting of '1', i.e. even a single bp of overlapping sequence will be trimmed of the 3' end of any read.-e <ERROR RATE> Maximum allowed error rate (no. of errors divided by the length of the matching region) (default - 0.1)",
                    "inputBinding": {
                        "prefix": "--stringency"
                    },
                    "id": "#cmo-trimgalore.cwl/stringency"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "doc": "If specified any output to STDOUT or STDERR will be suppressed.RRBS-specific options (MspI digested material) -",
                    "inputBinding": {
                        "prefix": "--suppress_warn"
                    },
                    "id": "#cmo-trimgalore.cwl/suppress_warn"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "Trims 1 bp off every read from its 3' end. This may be needed for FastQ files that are to be aligned as paired-end data with Bowtie. This is because Bowtie (1) regards alignments like this - R1 ---------------------------> or this - -----------------------> R1 R2 <--------------------------- <----------------- R2 as invalid (whenever a start/end coordinate is contained within the other read).",
                    "inputBinding": {
                        "prefix": "--trim1"
                    },
                    "id": "#cmo-trimgalore.cwl/trim1"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.paired && inputs.fastq1)\n    return getBaseName(inputs.fastq1).replace(\".fastq.gz\", \"_cl.fastq.gz\");\n  return null;\n}\n"
                    },
                    "id": "#cmo-trimgalore.cwl/clfastq1"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n  if (inputs.paired && inputs.fastq2)\n    return getBaseName(inputs.fastq2).replace(\".fastq.gz\", \"_cl.fastq.gz\");\n  return null;\n}\n"
                    },
                    "id": "#cmo-trimgalore.cwl/clfastq2"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n  if (inputs.paired && inputs.fastq1)\n    return getBaseName(inputs.fastq1).replace(\".fastq.gz\", \"_cl.stats\");\n  return null;\n}\n"
                    },
                    "id": "#cmo-trimgalore.cwl/clstats1"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n  if (inputs.paired && inputs.fastq2)\n    return getBaseName(inputs.fastq2).replace(\".fastq.gz\", \"_cl.stats\");\n  return null;\n}"
                    },
                    "id": "#cmo-trimgalore.cwl/clstats2"
                }
            ],
            "id": "#cmo-trimgalore.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-trimgalore",
                    "http://usefulinc.com/ns/doap#revision": "0.2.5.mod"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "ExpressionTool",
            "label": "flatten-array-fastq",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#flatten-array-fastq.cwl/add_rg_ID"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#flatten-array-fastq.cwl/add_rg_PU"
                },
                {
                    "type": [
                        "File",
                        {
                            "type": "array",
                            "items": {
                                "type": "array",
                                "items": "File"
                            }
                        }
                    ],
                    "id": "#flatten-array-fastq.cwl/fastq1"
                },
                {
                    "type": [
                        "File",
                        {
                            "type": "array",
                            "items": {
                                "type": "array",
                                "items": "File"
                            }
                        }
                    ],
                    "id": "#flatten-array-fastq.cwl/fastq2"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#flatten-array-fastq.cwl/chunks1"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#flatten-array-fastq.cwl/chunks2"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#flatten-array-fastq.cwl/rg_ID"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#flatten-array-fastq.cwl/rg_PU"
                }
            ],
            "expression": "${ var fastq1 = []; var fastq2 =[]; var add_rg_ID = []; var add_rg_PU = []; for (var i = 0; i < inputs.fastq1.length; i++) { for (var j =0; j < inputs.fastq1[i].length; j++) { fastq1.push(inputs.fastq1[i][j]); fastq2.push(inputs.fastq2[i][j]); } } fastq1 = fastq1.sort(function(a,b) {  if (a['basename']< b['basename']) { return -1; } else if(a['basename'] > b['basename']) { return 1; } else { return 0; } }); fastq2 = fastq2.sort(function(a,b) { if (a['basename']< b['basename']) { return -1; } else if(a['basename'] > b['basename']) { return 1; } else { return 0; }}); for (var i =0; i < fastq1.length; i++) { for(var j=0; j < inputs.add_rg_PU.length; j++) { if (fastq1[i].basename.includes(inputs.add_rg_PU[j])) { add_rg_ID.push(inputs.add_rg_ID[j]); add_rg_PU.push(inputs.add_rg_PU[j]); } } } var returnobj = {}; returnobj['chunks1'] = fastq1; returnobj['chunks2'] = fastq2; returnobj['rg_ID']= add_rg_ID; returnobj['rg_PU']= add_rg_PU; return returnobj; }",
            "id": "#flatten-array-fastq.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "flatten-array-fastq",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Christopher Harris",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:harrisc2@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Christopher Harris",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:harrisc2@mskcc.org"
                        },
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "Workflow",
            "label": "module-1-2-chunk",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/abra_scratch"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/adapter"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/adapter2"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/add_rg_CN"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "string"
                        }
                    },
                    "id": "#main/add_rg_ID"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/add_rg_LB"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/add_rg_PL"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "string"
                        }
                    },
                    "id": "#main/add_rg_PU"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/add_rg_SM"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/bwa_output"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#main/cosmic"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/covariates"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#main/dbsnp"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "string"
                        }
                    },
                    "id": "#main/fastq1"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "string"
                        }
                    },
                    "id": "#main/fastq2"
                },
                {
                    "type": "string",
                    "id": "#main/genome"
                },
                {
                    "type": "string",
                    "id": "#main/group"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#main/hapmap"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#main/indels_1000g"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/intervals"
                },
                {
                    "type": "int",
                    "id": "#main/mutect_dcov"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/mutect_rf"
                },
                {
                    "type": "string",
                    "id": "#main/opt_dup_pix_dist"
                },
                {
                    "type": "File",
                    "id": "#main/refseq"
                },
                {
                    "type": {
                        "type": "record",
                        "fields": [
                            {
                                "type": "int",
                                "name": "#main/runparams/abra_ram_min"
                            }
                        ]
                    },
                    "id": "#main/runparams"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#main/snps_1000g"
                },
                {
                    "type": "string",
                    "id": "#main/tmp_dir"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "outputSource": "#main/realignment/outbams",
                    "id": "#main/bams"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "File"
                        }
                    },
                    "outputSource": "#main/mapping/clstats1",
                    "id": "#main/clstats1"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "File"
                        }
                    },
                    "outputSource": "#main/mapping/clstats2",
                    "id": "#main/clstats2"
                },
                {
                    "type": "File",
                    "outputSource": "#main/realignment/covint_bed",
                    "id": "#main/covint_bed"
                },
                {
                    "type": "File",
                    "outputSource": "#main/realignment/covint_list",
                    "id": "#main/covint_list"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/mapping/md_metrics",
                    "id": "#main/md_metrics"
                }
            ],
            "steps": [
                {
                    "run": "#module-1.scatter.chunk.cwl",
                    "in": [
                        {
                            "source": "#main/adapter",
                            "id": "#main/mapping/adapter"
                        },
                        {
                            "source": "#main/adapter2",
                            "id": "#main/mapping/adapter2"
                        },
                        {
                            "source": "#main/add_rg_CN",
                            "id": "#main/mapping/add_rg_CN"
                        },
                        {
                            "source": "#main/add_rg_ID",
                            "id": "#main/mapping/add_rg_ID"
                        },
                        {
                            "source": "#main/add_rg_LB",
                            "id": "#main/mapping/add_rg_LB"
                        },
                        {
                            "source": "#main/add_rg_PL",
                            "id": "#main/mapping/add_rg_PL"
                        },
                        {
                            "source": "#main/add_rg_PU",
                            "id": "#main/mapping/add_rg_PU"
                        },
                        {
                            "source": "#main/add_rg_SM",
                            "id": "#main/mapping/add_rg_SM"
                        },
                        {
                            "source": "#main/bwa_output",
                            "id": "#main/mapping/bwa_output"
                        },
                        {
                            "source": "#main/fastq1",
                            "id": "#main/mapping/fastq1"
                        },
                        {
                            "source": "#main/fastq2",
                            "id": "#main/mapping/fastq2"
                        },
                        {
                            "source": "#main/genome",
                            "id": "#main/mapping/genome"
                        },
                        {
                            "source": "#main/group",
                            "id": "#main/mapping/group"
                        },
                        {
                            "source": "#main/opt_dup_pix_dist",
                            "id": "#main/mapping/opt_dup_pix_dist"
                        },
                        {
                            "source": "#main/tmp_dir",
                            "id": "#main/mapping/tmp_dir"
                        }
                    ],
                    "out": [
                        "#main/mapping/clstats1",
                        "#main/mapping/clstats2",
                        "#main/mapping/bam",
                        "#main/mapping/md_metrics"
                    ],
                    "scatter": [
                        "#main/mapping/fastq1",
                        "#main/mapping/fastq2",
                        "#main/mapping/adapter",
                        "#main/mapping/adapter2",
                        "#main/mapping/bwa_output",
                        "#main/mapping/add_rg_LB",
                        "#main/mapping/add_rg_PL",
                        "#main/mapping/add_rg_ID",
                        "#main/mapping/add_rg_PU",
                        "#main/mapping/add_rg_SM",
                        "#main/mapping/add_rg_CN"
                    ],
                    "scatterMethod": "dotproduct",
                    "id": "#main/mapping"
                },
                {
                    "run": "#module-2.cwl",
                    "in": [
                        {
                            "source": "#main/abra_scratch",
                            "id": "#main/realignment/abra_scratch"
                        },
                        {
                            "source": "#main/mapping/bam",
                            "id": "#main/realignment/bams"
                        },
                        {
                            "source": "#main/covariates",
                            "id": "#main/realignment/covariates"
                        },
                        {
                            "source": "#main/dbsnp",
                            "id": "#main/realignment/dbsnp"
                        },
                        {
                            "source": "#main/genome",
                            "id": "#main/realignment/genome"
                        },
                        {
                            "source": "#main/group",
                            "id": "#main/realignment/group"
                        },
                        {
                            "source": "#main/hapmap",
                            "id": "#main/realignment/hapmap"
                        },
                        {
                            "source": "#main/indels_1000g",
                            "id": "#main/realignment/indels_1000g"
                        },
                        {
                            "source": "#main/runparams",
                            "id": "#main/realignment/runparams"
                        },
                        {
                            "source": "#main/snps_1000g",
                            "id": "#main/realignment/snps_1000g"
                        }
                    ],
                    "out": [
                        "#main/realignment/outbams",
                        "#main/realignment/covint_list",
                        "#main/realignment/covint_bed"
                    ],
                    "id": "#main/realignment"
                }
            ],
            "id": "#main",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "module-1-2.chunk",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Christopher Harris",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:harrisc2@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Christopher Harris",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:harrisc2@mskcc.org"
                        },
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "Workflow",
            "label": "module-1-scatter-chunk",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#module-1.scatter.chunk.cwl/adapter"
                },
                {
                    "type": "string",
                    "id": "#module-1.scatter.chunk.cwl/adapter2"
                },
                {
                    "type": "string",
                    "id": "#module-1.scatter.chunk.cwl/add_rg_CN"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#module-1.scatter.chunk.cwl/add_rg_ID"
                },
                {
                    "type": "string",
                    "id": "#module-1.scatter.chunk.cwl/add_rg_LB"
                },
                {
                    "type": "string",
                    "id": "#module-1.scatter.chunk.cwl/add_rg_PL"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#module-1.scatter.chunk.cwl/add_rg_PU"
                },
                {
                    "type": "string",
                    "id": "#module-1.scatter.chunk.cwl/add_rg_SM"
                },
                {
                    "type": "string",
                    "id": "#module-1.scatter.chunk.cwl/bwa_output"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#module-1.scatter.chunk.cwl/fastq1"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#module-1.scatter.chunk.cwl/fastq2"
                },
                {
                    "type": "string",
                    "id": "#module-1.scatter.chunk.cwl/genome"
                },
                {
                    "type": "string",
                    "id": "#module-1.scatter.chunk.cwl/group"
                },
                {
                    "type": "string",
                    "id": "#module-1.scatter.chunk.cwl/opt_dup_pix_dist"
                },
                {
                    "type": "string",
                    "id": "#module-1.scatter.chunk.cwl/tmp_dir"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#module-1.scatter.chunk.cwl/mark_duplicates/bam",
                    "id": "#module-1.scatter.chunk.cwl/bam"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#module-1.scatter.chunk.cwl/align/clstats1",
                    "id": "#module-1.scatter.chunk.cwl/clstats1"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#module-1.scatter.chunk.cwl/align/clstats2",
                    "id": "#module-1.scatter.chunk.cwl/clstats2"
                },
                {
                    "type": "File",
                    "outputSource": "#module-1.scatter.chunk.cwl/mark_duplicates/mdmetrics",
                    "id": "#module-1.scatter.chunk.cwl/md_metrics"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#module-1.scatter.chunk.cwl/adapter",
                            "id": "#module-1.scatter.chunk.cwl/align/adapter"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/adapter2",
                            "id": "#module-1.scatter.chunk.cwl/align/adapter2"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/add_rg_CN",
                            "id": "#module-1.scatter.chunk.cwl/align/add_rg_CN"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/flatten/rg_ID",
                            "id": "#module-1.scatter.chunk.cwl/align/add_rg_ID"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/add_rg_LB",
                            "id": "#module-1.scatter.chunk.cwl/align/add_rg_LB"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/add_rg_PL",
                            "id": "#module-1.scatter.chunk.cwl/align/add_rg_PL"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/flatten/rg_PU",
                            "id": "#module-1.scatter.chunk.cwl/align/add_rg_PU"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/add_rg_SM",
                            "id": "#module-1.scatter.chunk.cwl/align/add_rg_SM"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/bwa_output",
                            "id": "#module-1.scatter.chunk.cwl/align/bwa_output"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/flatten/chunks1",
                            "id": "#module-1.scatter.chunk.cwl/align/chunkfastq1"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/flatten/chunks2",
                            "id": "#module-1.scatter.chunk.cwl/align/chunkfastq2"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/genome",
                            "id": "#module-1.scatter.chunk.cwl/align/genome"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/tmp_dir",
                            "id": "#module-1.scatter.chunk.cwl/align/tmp_dir"
                        }
                    ],
                    "scatter": [
                        "#module-1.scatter.chunk.cwl/align/chunkfastq1",
                        "#module-1.scatter.chunk.cwl/align/chunkfastq2",
                        "#module-1.scatter.chunk.cwl/align/add_rg_ID",
                        "#module-1.scatter.chunk.cwl/align/add_rg_PU"
                    ],
                    "scatterMethod": "dotproduct",
                    "out": [
                        "#module-1.scatter.chunk.cwl/align/clstats1",
                        "#module-1.scatter.chunk.cwl/align/clstats2",
                        "#module-1.scatter.chunk.cwl/align/bam"
                    ],
                    "run": {
                        "class": "Workflow",
                        "inputs": [
                            {
                                "type": "string",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/adapter"
                            },
                            {
                                "type": "string",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/adapter2"
                            },
                            {
                                "type": "string",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_CN"
                            },
                            {
                                "type": "string",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_ID"
                            },
                            {
                                "type": "string",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_LB"
                            },
                            {
                                "type": "string",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_PL"
                            },
                            {
                                "type": "string",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_PU"
                            },
                            {
                                "type": "string",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_SM"
                            },
                            {
                                "type": "string",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/bwa_output"
                            },
                            {
                                "type": "File",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/chunkfastq1"
                            },
                            {
                                "type": "File",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/chunkfastq2"
                            },
                            {
                                "type": "string",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/genome"
                            },
                            {
                                "type": "string",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/tmp_dir"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "outputSource": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/bam",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/bam"
                            },
                            {
                                "type": "File",
                                "outputSource": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore/clstats1",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/clstats1"
                            },
                            {
                                "type": "File",
                                "outputSource": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore/clstats2",
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/clstats2"
                            }
                        ],
                        "steps": [
                            {
                                "run": "#cmo-picard.AddOrReplaceReadGroups.cwl",
                                "in": [
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_CN",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/CN"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/bwa/bam",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/I"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_ID",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/ID"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_LB",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/LB"
                                    },
                                    {
                                        "valueFrom": "${ return inputs.I.basename.replace(\".bam\", \".rg.bam\") }\n",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/O"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_PL",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/PL"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_PU",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/PU"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_SM",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/SM"
                                    },
                                    {
                                        "default": "coordinate",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/SO"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/tmp_dir",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/TMP_DIR"
                                    }
                                ],
                                "out": [
                                    "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/bam",
                                    "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id/bai"
                                ],
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/add_rg_id"
                            },
                            {
                                "run": "#cmo-bwa-mem.cwl",
                                "in": [
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/bwa_output",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/bwa/basebamname"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore/clfastq1",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/bwa/fastq1"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore/clfastq2",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/bwa/fastq2"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/genome",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/bwa/genome"
                                    },
                                    {
                                        "valueFrom": "${ return inputs.basebamname.replace(\".bam\", \".\" + inputs.fastq1.basename.match(/chunk\\d\\d\\d/)[0] + \".bam\");}\n",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/bwa/output"
                                    }
                                ],
                                "out": [
                                    "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/bwa/bam"
                                ],
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/bwa"
                            },
                            {
                                "run": "#cmo-trimgalore.cwl",
                                "in": [
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/adapter",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore/adapter"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/adapter2",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore/adapter2"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/chunkfastq1",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore/fastq1"
                                    },
                                    {
                                        "source": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/chunkfastq2",
                                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore/fastq2"
                                    }
                                ],
                                "out": [
                                    "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore/clfastq1",
                                    "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore/clfastq2",
                                    "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore/clstats1",
                                    "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore/clstats2"
                                ],
                                "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef/trim_galore"
                            }
                        ],
                        "id": "#module-1.scatter.chunk.cwl/align/a235cdf1-93c6-4a00-a8c7-f24422e035ef"
                    },
                    "id": "#module-1.scatter.chunk.cwl/align"
                },
                {
                    "hints": [
                        {
                            "ramMin": 24,
                            "coresMin": 1,
                            "class": "ResourceRequirement"
                        }
                    ],
                    "run": "#cmo-split-reads.cwl",
                    "in": [
                        {
                            "source": "#module-1.scatter.chunk.cwl/fastq1",
                            "id": "#module-1.scatter.chunk.cwl/chunking/fastq1"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/fastq2",
                            "id": "#module-1.scatter.chunk.cwl/chunking/fastq2"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/add_rg_PU",
                            "id": "#module-1.scatter.chunk.cwl/chunking/platform_unit"
                        }
                    ],
                    "out": [
                        "#module-1.scatter.chunk.cwl/chunking/chunks1",
                        "#module-1.scatter.chunk.cwl/chunking/chunks2"
                    ],
                    "scatter": [
                        "#module-1.scatter.chunk.cwl/chunking/fastq1",
                        "#module-1.scatter.chunk.cwl/chunking/fastq2",
                        "#module-1.scatter.chunk.cwl/chunking/platform_unit"
                    ],
                    "scatterMethod": "dotproduct",
                    "id": "#module-1.scatter.chunk.cwl/chunking"
                },
                {
                    "run": "#flatten-array-fastq.cwl",
                    "in": [
                        {
                            "source": "#module-1.scatter.chunk.cwl/add_rg_ID",
                            "id": "#module-1.scatter.chunk.cwl/flatten/add_rg_ID"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/add_rg_PU",
                            "id": "#module-1.scatter.chunk.cwl/flatten/add_rg_PU"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/chunking/chunks1",
                            "id": "#module-1.scatter.chunk.cwl/flatten/fastq1"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/chunking/chunks2",
                            "id": "#module-1.scatter.chunk.cwl/flatten/fastq2"
                        }
                    ],
                    "out": [
                        "#module-1.scatter.chunk.cwl/flatten/chunks1",
                        "#module-1.scatter.chunk.cwl/flatten/chunks2",
                        "#module-1.scatter.chunk.cwl/flatten/rg_ID",
                        "#module-1.scatter.chunk.cwl/flatten/rg_PU"
                    ],
                    "id": "#module-1.scatter.chunk.cwl/flatten"
                },
                {
                    "run": "#cmo-picard.MarkDuplicates.cwl",
                    "in": [
                        {
                            "source": "#module-1.scatter.chunk.cwl/align/bam",
                            "id": "#module-1.scatter.chunk.cwl/mark_duplicates/I"
                        },
                        {
                            "valueFrom": "${ return inputs.I[0].basename.replace(/\\.chunk\\d\\d\\d\\.rg\\.bam/, \".rg.md_metrics\") }\n",
                            "id": "#module-1.scatter.chunk.cwl/mark_duplicates/M"
                        },
                        {
                            "valueFrom": "${ return inputs.I[0].basename.replace(/\\.chunk\\d\\d\\d\\.rg\\.bam/, \".\"+ inputs.group+\".rg.md.bam\") }\n",
                            "id": "#module-1.scatter.chunk.cwl/mark_duplicates/O"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/opt_dup_pix_dist",
                            "id": "#module-1.scatter.chunk.cwl/mark_duplicates/OPTICAL_DUPLICATE_PIXEL_DISTANCE"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/tmp_dir",
                            "id": "#module-1.scatter.chunk.cwl/mark_duplicates/TMP_DIR"
                        },
                        {
                            "source": "#module-1.scatter.chunk.cwl/group",
                            "id": "#module-1.scatter.chunk.cwl/mark_duplicates/group"
                        }
                    ],
                    "out": [
                        "#module-1.scatter.chunk.cwl/mark_duplicates/bam",
                        "#module-1.scatter.chunk.cwl/mark_duplicates/bai",
                        "#module-1.scatter.chunk.cwl/mark_duplicates/mdmetrics"
                    ],
                    "id": "#module-1.scatter.chunk.cwl/mark_duplicates"
                }
            ],
            "id": "#module-1.scatter.chunk.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "module-1.scatter.chunk",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Christopher Harris",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:harrisc2@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Christopher Harris",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:harrisc2@mskcc.org"
                        },
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "Workflow",
            "label": "module-2",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#module-2.cwl/abra_scratch"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#module-2.cwl/bams"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#module-2.cwl/covariates"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#module-2.cwl/dbsnp"
                },
                {
                    "type": "string",
                    "id": "#module-2.cwl/genome"
                },
                {
                    "type": "string",
                    "id": "#module-2.cwl/group"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#module-2.cwl/hapmap"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#module-2.cwl/indels_1000g"
                },
                {
                    "type": {
                        "type": "record",
                        "fields": [
                            {
                                "type": "int",
                                "name": "#module-2.cwl/runparams/abra_ram_min"
                            }
                        ]
                    },
                    "id": "#module-2.cwl/runparams"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#module-2.cwl/snps_1000g"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#module-2.cwl/list2bed/output_file",
                    "id": "#module-2.cwl/covint_bed"
                },
                {
                    "type": "File",
                    "outputSource": "#module-2.cwl/gatk_find_covered_intervals/fci_list",
                    "id": "#module-2.cwl/covint_list"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "outputSource": "#module-2.cwl/parallel_printreads/out",
                    "id": "#module-2.cwl/outbams"
                }
            ],
            "steps": [
                {
                    "run": "#cmo-abra.cwl",
                    "in": [
                        {
                            "source": "#module-2.cwl/bams",
                            "id": "#module-2.cwl/abra/in"
                        },
                        {
                            "valueFrom": "${ return inputs.in.map(function(x){ return x.basename.replace(\".bam\", \".abra.bam\"); }); }\n",
                            "id": "#module-2.cwl/abra/out"
                        },
                        {
                            "source": "#module-2.cwl/genome",
                            "id": "#module-2.cwl/abra/ref"
                        },
                        {
                            "source": "#module-2.cwl/runparams",
                            "id": "#module-2.cwl/abra/runparams"
                        },
                        {
                            "source": "#module-2.cwl/list2bed/output_file",
                            "id": "#module-2.cwl/abra/targets"
                        },
                        {
                            "source": "#module-2.cwl/abra_scratch",
                            "id": "#module-2.cwl/abra/working"
                        }
                    ],
                    "out": [
                        "#module-2.cwl/abra/outbams"
                    ],
                    "id": "#module-2.cwl/abra"
                },
                {
                    "run": "#cmo-gatk.BaseRecalibrator.cwl",
                    "in": [
                        {
                            "source": "#module-2.cwl/covariates",
                            "id": "#module-2.cwl/gatk_base_recalibrator/covariate"
                        },
                        {
                            "source": "#module-2.cwl/dbsnp",
                            "id": "#module-2.cwl/gatk_base_recalibrator/dbsnp"
                        },
                        {
                            "source": "#module-2.cwl/hapmap",
                            "id": "#module-2.cwl/gatk_base_recalibrator/hapmap"
                        },
                        {
                            "source": "#module-2.cwl/indels_1000g",
                            "id": "#module-2.cwl/gatk_base_recalibrator/indels_1000g"
                        },
                        {
                            "source": "#module-2.cwl/abra/outbams",
                            "id": "#module-2.cwl/gatk_base_recalibrator/input_file"
                        },
                        {
                            "valueFrom": "${return [inputs.dbsnp,inputs.hapmap, inputs.indels_1000g, inputs.snps_1000g]}",
                            "id": "#module-2.cwl/gatk_base_recalibrator/knownSites"
                        },
                        {
                            "default": "recal.matrix",
                            "id": "#module-2.cwl/gatk_base_recalibrator/out"
                        },
                        {
                            "valueFrom": "${ return [\"BadCigar\"]; }",
                            "id": "#module-2.cwl/gatk_base_recalibrator/read_filter"
                        },
                        {
                            "source": "#module-2.cwl/genome",
                            "id": "#module-2.cwl/gatk_base_recalibrator/reference_sequence"
                        },
                        {
                            "source": "#module-2.cwl/snps_1000g",
                            "id": "#module-2.cwl/gatk_base_recalibrator/snps_1000g"
                        }
                    ],
                    "out": [
                        "#module-2.cwl/gatk_base_recalibrator/recal_matrix"
                    ],
                    "id": "#module-2.cwl/gatk_base_recalibrator"
                },
                {
                    "run": "#cmo-gatk.FindCoveredIntervals.cwl",
                    "in": [
                        {
                            "valueFrom": "${ return [\"3\"];}",
                            "id": "#module-2.cwl/gatk_find_covered_intervals/coverage_threshold"
                        },
                        {
                            "source": "#module-2.cwl/group",
                            "id": "#module-2.cwl/gatk_find_covered_intervals/group"
                        },
                        {
                            "source": "#module-2.cwl/bams",
                            "id": "#module-2.cwl/gatk_find_covered_intervals/input_file"
                        },
                        {
                            "valueFrom": "${ return [\"1\",\"2\",\"3\",\"4\",\"5\",\"6\",\"7\",\"8\",\"9\",\"10\",\"11\",\"12\",\"13\",\"14\",\"15\",\"16\",\"17\",\"18\",\"19\",\"20\",\"21\",\"22\",\"X\",\"Y\",\"MT\"];}",
                            "id": "#module-2.cwl/gatk_find_covered_intervals/intervals"
                        },
                        {
                            "valueFrom": "${ return [\"20\"];}",
                            "id": "#module-2.cwl/gatk_find_covered_intervals/minBaseQuality"
                        },
                        {
                            "valueFrom": "${ return inputs.group + \".fci.list\"; }",
                            "id": "#module-2.cwl/gatk_find_covered_intervals/out"
                        },
                        {
                            "source": "#module-2.cwl/genome",
                            "id": "#module-2.cwl/gatk_find_covered_intervals/reference_sequence"
                        }
                    ],
                    "out": [
                        "#module-2.cwl/gatk_find_covered_intervals/fci_list"
                    ],
                    "id": "#module-2.cwl/gatk_find_covered_intervals"
                },
                {
                    "run": "#cmo-list2bed.cwl",
                    "in": [
                        {
                            "source": "#module-2.cwl/gatk_find_covered_intervals/fci_list",
                            "id": "#module-2.cwl/list2bed/input_file"
                        },
                        {
                            "valueFrom": "${ return inputs.input_file.basename.replace(\".list\", \".bed\"); }\n",
                            "id": "#module-2.cwl/list2bed/output_filename"
                        }
                    ],
                    "out": [
                        "#module-2.cwl/list2bed/output_file"
                    ],
                    "id": "#module-2.cwl/list2bed"
                },
                {
                    "in": [
                        {
                            "source": "#module-2.cwl/gatk_base_recalibrator/recal_matrix",
                            "id": "#module-2.cwl/parallel_printreads/BQSR"
                        },
                        {
                            "source": "#module-2.cwl/abra/outbams",
                            "id": "#module-2.cwl/parallel_printreads/input_file"
                        },
                        {
                            "source": "#module-2.cwl/genome",
                            "id": "#module-2.cwl/parallel_printreads/reference_sequence"
                        }
                    ],
                    "out": [
                        "#module-2.cwl/parallel_printreads/out"
                    ],
                    "scatter": [
                        "#module-2.cwl/parallel_printreads/input_file"
                    ],
                    "scatterMethod": "dotproduct",
                    "run": {
                        "class": "Workflow",
                        "inputs": [
                            {
                                "type": "File",
                                "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/BQSR"
                            },
                            {
                                "type": "File",
                                "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/input_file"
                            },
                            {
                                "type": "string",
                                "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/reference_sequence"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "secondaryFiles": [
                                    "^.bai"
                                ],
                                "outputSource": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/gatk_print_reads/out_bam",
                                "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/out"
                            }
                        ],
                        "steps": [
                            {
                                "run": "#cmo-gatk.PrintReads.cwl",
                                "in": [
                                    {
                                        "source": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/BQSR",
                                        "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/gatk_print_reads/BQSR"
                                    },
                                    {
                                        "valueFrom": "${ return ['RECALCULATE'];}",
                                        "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/gatk_print_reads/baq"
                                    },
                                    {
                                        "valueFrom": "${ return true; }",
                                        "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/gatk_print_reads/emit_original_quals"
                                    },
                                    {
                                        "source": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/input_file",
                                        "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/gatk_print_reads/input_file"
                                    },
                                    {
                                        "default": "5",
                                        "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/gatk_print_reads/num_cpu_threads_per_data_thread"
                                    },
                                    {
                                        "valueFrom": "${ return inputs.input_file.basename.replace(\".bam\", \".printreads.bam\"); }\n",
                                        "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/gatk_print_reads/out"
                                    },
                                    {
                                        "source": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/reference_sequence",
                                        "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/gatk_print_reads/reference_sequence"
                                    }
                                ],
                                "out": [
                                    "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/gatk_print_reads/out_bam"
                                ],
                                "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84/gatk_print_reads"
                            }
                        ],
                        "id": "#module-2.cwl/parallel_printreads/4a2199b8-f157-452c-a079-1a6a6fbc2a84"
                    },
                    "id": "#module-2.cwl/parallel_printreads"
                }
            ],
            "id": "#module-2.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "module-2",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Christopher Harris",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:harrisc2@mskcc.org"
                        },
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Ronak H. Shah",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:shahr2@mskcc.org"
                        },
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        }
    ],
    "cwlVersion": "v1.0",
    "$schemas": [
        "http://dublincore.org/2012/06/14/dcterms.rdf",
        "http://xmlns.com/foaf/spec/20140114.rdf",
        "http://usefulinc.com/ns/doap#"
    ],
    "$namespaces": {
        "dct": "http://purl.org/dc/terms/",
        "foaf": "http://xmlns.com/foaf/0.1/",
        "doap": "http://usefulinc.com/ns/doap#"
    }
}
